<?php

/**
* The template for displaying 404 pages (not found)
*
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
*
* @package WordPress
* @subpackage Crisop
* @since 1.0.0
*/

get_header();

// you can use this action for add any content before container element
do_action( 'ninetheme_before_404' );

if ( 'elementor' == ninetheme_settings( 'error_page_type', 'default' ) && !empty( ninetheme_settings( 'error_page_elementor_templates' ) ) ) {

    echo ninetheme_print_elementor_templates( 'error_page_elementor_templates', false );

} else {
    $btn_title  = '' != ninetheme_settings( 'error_content_btn_title' ) ? ninetheme_settings( 'error_content_btn_title' ) : esc_html__( 'Go to home page', 'crisop' );
    $error_desc = '' != ninetheme_settings( 'error_content_desc' ) ? ninetheme_settings( 'error_content_desc' ) : esc_html__( 'Sorry, but the page you are looking for does not exist or has been removed!', 'crisop' );
    ?>
    <div id="nt-404" class="nt-404 error">

        <?php ninetheme_hero_section(); ?>

        <div class="ninetheme-inner-container ninetheme-error-area pt-80 pb-100">
            <div class="container-xl ninetheme-container-xl">
                <div class="row justify-content-center">
                    <div class="col-lg-6 col-md-10">
                        <div class="ninetheme-error-content text-center">

                            <div class="ninetheme-error-txt"><?php esc_html_e( '404','crisop' ); ?></div>

                            <?php
                            if ( '0' != ninetheme_settings('error_content_desc_visibility', '1' ) ) {
                                printf( '<h5 class="content-text">%s</h5>', esc_html( $error_desc ) );
                            }

                            if ( '0' != ninetheme_settings( 'error_content_form_visibility', '0' ) ) {
                                echo ninetheme_search_form();
                            }

                            if ( '0' != ninetheme_settings('error_content_btn_visibility', '1' ) ) {
                                printf( '<a href="%1$s" class="ninetheme-btn-medium ninetheme-btn ninetheme-btn-primary mt-30"><span>%2$s</span></a>',
                                    esc_url( home_url('/') ),
                                    esc_html( $btn_title )
                                );
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
}

// use this action to add any content after 404 page container element
do_action( 'ninetheme_after_404' );

get_footer();

?>
