<?php
/**
* The main template file
*
*/

if ( is_search() ) {
    $name           = 'search';
    $sidebar        = 'ninetheme-search-sidebar';
    $default_layout = 'full-width';
} elseif ( is_archive() ) {
    $name           = 'archive';
    $sidebar        = 'ninetheme-archive-sidebar';
    $default_layout = 'full-width';
} else {
    $name           = 'index';
    $sidebar        = 'sidebar-1';
    $default_layout = 'right-sidebar';
}

$ninetheme_layout   = apply_filters('ninetheme_index_layout', ninetheme_settings( $name.'_layout', $default_layout ) );
$grid_column        = apply_filters('ninetheme_blog_grid_column', ninetheme_settings( 'grid_column', '3' ) );
$grid_mobile_column = apply_filters('ninetheme_blog_grid_mobile_column', ninetheme_settings( 'grid_mobile_column', '1' ) );

$masonry       = 'masonry' == apply_filters('ninetheme_index_type', ninetheme_settings( 'index_type', 'masonry' ) ) ? ' ninetheme-masonry-container' : '';
$has_sidebar   = ! empty( ninetheme_settings( 'blog_sidebar_templates', null ) ) || is_active_sidebar( $sidebar ) ? true : false;
$layout_column = !$has_sidebar || 'full-width' == $ninetheme_layout ? 'col-lg-12' : 'col-lg-9';
$row_reverse   = (! empty( ninetheme_settings( 'blog_sidebar_templates', null ) ) || is_active_sidebar( $sidebar ) ) && 'left-sidebar' == $ninetheme_layout ? ' flex-lg-row-reverse' : '';
$post_style    = apply_filters('ninetheme_blog_post_style', ninetheme_settings( 'post_style', 'classic' ) );
$blog_style    = ' blog-layout-'.$ninetheme_layout;

?>

<div class="ninetheme-inner-container blog-area section-padding ninetheme-blog-<?php echo esc_attr( $post_style.$blog_style ); ?>">
    <div class="container-xl ninetheme-container-xl">
        <div class="row justify-content-lg-center<?php echo esc_attr( $row_reverse ); ?>">

            <!-- Sidebar column control -->
            <div class="<?php echo esc_attr( $layout_column ); ?>">
            <?php if ( have_posts() ) { ?>
                <div class="row row-cols-sm-<?php echo esc_attr( $grid_mobile_column ); ?> row-cols-lg-<?php echo esc_attr( $grid_column.$masonry ); ?> ninetheme-posts-row">
                    <?php
                    while ( have_posts() ) {
                        the_post();

                        get_template_part( 'blog/style/'.$post_style );

                    }
                    ?>
                </div>
            <?php
                // this function working with wp reading settins + posts
                ninetheme_index_loop_pagination(true);

            } else {

                // if there are no posts, read content none function
                ninetheme_content_none();
            }
            ?>
            </div>
            <!-- End content column -->

            <!-- right sidebar -->
            <?php
            if ( $has_sidebar && ( 'right-sidebar' == $ninetheme_layout || 'left-sidebar' == $ninetheme_layout ) ) {

                get_sidebar();
            }
            ?>
            <!-- End right sidebar -->

        </div><!--End row -->
    </div><!--End container -->
</div><!--End #blog -->
