<?php
/**
 * The template for displaying post content default style within loops
 *
 * This template can be editing
 *
 */

$post_style = ninetheme_settings( 'post_style', 'classic' );
$post_type  = get_post_type(get_the_ID());
?>

<div id="post-<?php echo get_the_ID() ?>" <?php post_class( 'ninetheme-blog-posts-item style-'.$post_style ); ?>>
    <div class="ninetheme-blog-post-item-inner">

        <?php if ( is_sticky() ) { ?>
            <span class="blog-sticky"><?php esc_html_e( 'Featured', 'crisop' ); ?></span>
        <?php } ?>

        <?php if ( has_post_thumbnail() ) { ?>
            <div class="ninetheme-blog-thumb image-<?php echo apply_filters('ninetheme_post_image_size_style', ninetheme_settings( 'post_image_style', 'default' ) ); ?>">
                <?php ninetheme_loop_post_thumbnail(); ?>
                <?php ninetheme_loop_post_first_category(); ?>
            </div>
        <?php } ?>

        <div class="ninetheme-blog-post-content">
            <?php if ( $post_type != 'product' && '0' != ninetheme_settings( 'post_meta_visibility', '1' ) ) { ?>
                <div class="ninetheme-blog-post-meta ninetheme-inline-two-block">
                    <?php echo ninetheme_loop_post_author('<h6 class="ninetheme-post-meta-title ninetheme-block-left">','</h6>', true); ?>
                    <?php echo ninetheme_loop_post_date('<span class="ninetheme-post-meta-date ninetheme-block-right">','</span>', true); ?>
                </div>
            <?php } ?>
            <?php
                ninetheme_loop_post_title();
                ninetheme_loop_post_excerpt();
            ?>
            <?php if ( $post_type != 'product' ) { ?>
                <a class="blog-read-more-link mt-15 ninetheme-btn-text" href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo get_the_title(); ?>"><?php esc_html_e( 'Read More', 'crisop' ); ?></a>
            <?php } ?>

        </div>

    </div>
</div>
