<?php
/**
* The template for displaying post content card style within loops
*
* This template can be editing
*
*/
$grid_column = apply_filters('ninetheme_blog_grid_column', ninetheme_settings( 'grid_column', '1' ) );
$size        =  $grid_column == 1 ? ninetheme_loop_post_thumbnail_size() : [250,250];
$post_type   = get_post_type(get_the_ID());
?>

<div id="post-<?php echo get_the_ID() ?>" <?php post_class( 'ninetheme-blog-posts-item style-split' ); ?>>
    <div class="ninetheme-blog-post-item-inner">

        <div class="ninetheme-blog-post-thumb-wrapper">
            <div class="ninetheme-blog-post-thumb">
                <?php echo get_the_post_thumbnail( get_the_ID(), ninetheme_loop_post_thumbnail_size() ); ?>
                <a class="blog-thumb-link" href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo get_the_title(); ?>"></a>
            </div>
            <?php ninetheme_loop_post_first_category(); ?>
        </div>

        <div class="ninetheme-blog-post-content">
            <?php ninetheme_loop_post_title(); ?>
            <?php ninetheme_loop_post_excerpt(); ?>

            <?php if ( $post_type != 'product' && '0' != ninetheme_settings( 'post_meta_visibility', '1' ) ) { ?>
                <div class="ninetheme-blog-post-meta ninetheme-inline-two-block">
                    <?php echo ninetheme_loop_post_author('<h6 class="ninetheme-post-author">','</h6>', true); ?>
                    <?php echo ninetheme_loop_post_date('<h6 class="ninetheme-post-date">','</span>', true); ?>
                </div>
            <?php } ?>
        </div>

    </div>
</div>
