<?php

/**
 *
 * @package WordPress
 * @subpackage crisop
 * @since Crisop 1.0
 *
**/
define('CRISOP_DIRECTORY_URI', get_template_directory_uri());
define('CRISOP_DIRECTORY', get_template_directory());
/*************************************************
## GOOGLE FONTS
*************************************************/

if ( ! function_exists( 'ninetheme_fonts_url' ) ) {
    function ninetheme_fonts_url()
    {
        $fonts_url = '';
        $inter = _x( 'on', 'Inter font: on or off', 'crisop' );

        if (  'off' !== $inter ) {

            $font_families = array();

            if ( 'off' !== $inter ) {
                $font_families[] = 'Inter:300,400,500,600,700';
            }

            $query_args = array(
                'family' => urlencode( implode( '|', $font_families ) ),
                'subset' => urlencode( 'latin,latin-ext' ),
                'display' => urlencode( 'swap' ),
            );

            $fonts_url = add_query_arg( $query_args, "//fonts.googleapis.com/css" );
        }

        return esc_url_raw( $fonts_url );
    }
}

/*************************************************
## STYLES AND SCRIPTS
*************************************************/

function ninetheme_theme_scripts()
{
    $rtl = is_rtl() ? '-rtl' : '';

    // upload Google Webfonts
    wp_enqueue_style( 'ninetheme-fonts', ninetheme_fonts_url(), array(), null );

    // plugins
    wp_enqueue_style( 'fontawesome', CRISOP_DIRECTORY_URI . '/css/fontawesome/fontawesome-all.min.css', false, '1.0' );
    wp_enqueue_style( 'flaticon', CRISOP_DIRECTORY_URI . '/css/flaticon/flaticon.css', false, '1.0' );

    // bootstrap
    wp_enqueue_style( 'bootstrap-grid', CRISOP_DIRECTORY_URI . '/css/bootstrap/bootstrap-grid'.$rtl.'.min.css', false, '1.0' );
    wp_enqueue_style( 'ninetheme-default', CRISOP_DIRECTORY_URI . '/css/default'.$rtl.'.css', false, '1.0' );
    // ninetheme-framework-style
    wp_enqueue_style( 'ninetheme-framework-style', CRISOP_DIRECTORY_URI . '/css/framework-style'.$rtl.'.css', false, '1.0' );
    // ninetheme-main-style
    wp_enqueue_style( 'ninetheme-styles', CRISOP_DIRECTORY_URI . '/css/style'.$rtl.'.css', false, '1.0' );

    if ( 'masonry' == apply_filters('ninetheme_index_type', ninetheme_settings( 'index_type', 'masonry' ) ) ) {
        wp_enqueue_script( 'imagesloaded' );
        wp_enqueue_script( 'masonry' );
    }

    if ( '1' == ninetheme_settings( 'theme_lazyload_images', '1' ) ) {
        // lazy load
        wp_enqueue_script( 'lazyload', CRISOP_DIRECTORY_URI. '/js/lazy/lazyload.min.js', array( 'jquery' ), '1.0', false );
    }
    // nice-select
    wp_register_script( 'jquery-nice-select', CRISOP_DIRECTORY_URI . '/js/nice-select/jquery-nice-select.min.js', array( 'jquery' ), '1.0', true );
    // nice-select
    wp_register_style( 'select2-full', CRISOP_DIRECTORY_URI . '/js/select2/select2'.$rtl.'.min.css' );
    wp_register_script( 'select2-full', CRISOP_DIRECTORY_URI . '/js/select2/select2.full.min.js', array( 'jquery' ), '1.0', true );
    // slick slider
    wp_enqueue_script( 'slick', CRISOP_DIRECTORY_URI. '/js/slick/slick.min.js', array( 'jquery' ), '1.0', true );
    // magnific
    wp_register_style( 'fancybox', CRISOP_DIRECTORY_URI . '/js/fancybox/jquery.fancybox.css' );
    wp_register_script( 'fancybox', CRISOP_DIRECTORY_URI. '/js/fancybox/jquery.fancybox.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'magnific', CRISOP_DIRECTORY_URI. '/js/magnific/magnific-popup.min.js', array( 'jquery' ), '1.0', true );
    // swiper
    wp_register_script( 'ninetheme-swiper', CRISOP_DIRECTORY_URI . '/js/swiper/swiper-bundle.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'ninetheme-swiper' );
    // jquery-cookie
    wp_register_script( 'hover-slider', CRISOP_DIRECTORY_URI . '/js/hover-slider/hover-slider.min.js', array( 'jquery' ), '1.0', true );
    // jquery-cookie
    wp_register_script( 'jquery-cookie', CRISOP_DIRECTORY_URI . '/js/jquery/jquery-cookie.min.js', array( 'jquery' ), '1.0', true );
    // perfect-scrollbar
    wp_enqueue_script( 'ninetheme-perfect-scrollbar', CRISOP_DIRECTORY_URI . '/js/perfect-scrollbar/perfect-scrollbar.min.js', array( 'jquery' ), '1.0', true );
    // sliding-menu
    wp_enqueue_script( 'sliding-menu', CRISOP_DIRECTORY_URI . '/js/sliding-menu/sliding-menu.js', array( 'jquery' ), '1.0', true );

    wp_register_style( 'tooltipster', CRISOP_DIRECTORY_URI. '/js/tooltip/tooltipster.bundle.css' );
    wp_register_script( 'popper', CRISOP_DIRECTORY_URI. '/js/tooltip/popper.min.js', array( 'jquery' ), '1.0', true );
    wp_register_script( 'tooltipster', CRISOP_DIRECTORY_URI. '/js/tooltip/tooltipster.bundle.min.js', array( 'jquery' ), '1.0', true );

    wp_enqueue_script( 'ninetheme-main', CRISOP_DIRECTORY_URI . '/js/scripts.js', array( 'jquery' ), '1.0', true );
    wp_localize_script( 'ninetheme-main', 'ninetheme_vars', ninetheme_theme_all_settings() );
    wp_enqueue_script( 'framework-settings', CRISOP_DIRECTORY_URI . '/js/framework-settings.js', array( 'jquery' ), '1.0', true );
    wp_register_style( 'ninetheme-wc-free-shipping-progressbar', CRISOP_DIRECTORY_URI . '/woocommerce/assets/css/woocommerce-free-shipping-progressbar'.$rtl.'.css',false, '1.0');
    wp_enqueue_style( 'ninetheme-wc', CRISOP_DIRECTORY_URI . '/woocommerce/assets/css/woocommerce-general'.$rtl.'.css',false, '1.0');


    if ( class_exists( 'WooCommerce' ) ) {
        if ( class_exists( 'Ivole' ) ) {
            wp_register_style( 'ninetheme-wc-custom-reviews', CRISOP_DIRECTORY_URI . '/woocommerce/assets/css/woocommerce-custom-reviews'.$rtl.'.css',false, '1.0');
            wp_register_style( 'ninetheme-wc-custom-reviews-slider', CRISOP_DIRECTORY_URI . '/woocommerce/assets/css/woocommerce-custom-reviews-slider'.$rtl.'.css',false, '1.0');
        }

        if ( class_exists('WeDevs_Dokan') ) {
            wp_enqueue_style( 'ninetheme-dokan', CRISOP_DIRECTORY_URI . '/woocommerce/assets/css/dokan.css',false, '1.0');
        }

        if ( class_exists('WCFMmp') ) {
            wp_enqueue_style( 'ninetheme-wcfm', CRISOP_DIRECTORY_URI . '/woocommerce/assets/css/wcfm.css',false, '1.0');
        }

        wp_register_script( 'ninetheme-checkout-ajax-popup', CRISOP_DIRECTORY_URI. '/woocommerce/assets/js/checkout-ajax-popup.js', array( 'jquery' ), '1.0', true );
        wp_enqueue_script('ninetheme-ajax-addtocart', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/ajax-addtocart.js', array('jquery'), '1.0', true);
        wp_enqueue_script('ninetheme-wc', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/woocommerce-general.js', array('jquery'), '1.0', true);

        if ( function_exists('ninetheme_pjax') && ( is_shop() || is_product_category() || is_product_tag() || is_tax( 'ninetheme_product_brands' ) ) ) {

            if ( '' != apply_filters('ninetheme_elementor_shop', null ) || 'elementor' == ninetheme_settings( 'shop_template_type' ) && '' != ninetheme_settings( 'shop_elementor_template' ) ) {

                wp_enqueue_script( 'pjax', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/pjax.js', array('jquery'), '1.0', true );
                wp_enqueue_script( 'shopAjaxFilter', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/shopAjaxFilterElementor.js', array('jquery', 'pjax'), '1.0', true );

                $pagination = apply_filters('ninetheme_shop_pagination_type', ninetheme_settings('shop_paginate_type') );
                if ( $pagination == 'infinite' ) {
                    wp_enqueue_script( 'ninetheme-load-more', CRISOP_DIRECTORY_URI. '/woocommerce/assets/js/infinite-scroll.js', array( 'jquery' ), false, '1.0' );
                }

                if ( $pagination == 'loadmore' ) {
                    wp_enqueue_script( 'ninetheme-load-more', CRISOP_DIRECTORY_URI. '/woocommerce/assets/js/load_more.js', array( 'jquery' ), false, '1.0' );
                }

            } else {

                if ( '1' == ninetheme_settings('shop_ajax_filter', '1' ) ) {
                    wp_enqueue_script( 'pjax', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/pjax.js', array('jquery'), '1.0', true );
                    wp_enqueue_script( 'shopAjaxFilter', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/shopAjaxFilter.js', array('jquery', 'pjax'), '1.0', true );
                }

                $pagination = apply_filters('ninetheme_shop_pagination_type', ninetheme_settings('shop_paginate_type') );
                if ( $pagination == 'infinite' ) {
                    wp_enqueue_script( 'ninetheme-load-more', CRISOP_DIRECTORY_URI. '/woocommerce/assets/js/infinite-scroll.js', array( 'jquery' ), false, '1.0' );
                }

                if ( $pagination == 'loadmore' ) {
                    wp_enqueue_script( 'ninetheme-load-more', CRISOP_DIRECTORY_URI. '/woocommerce/assets/js/load_more.js', array( 'jquery' ), false, '1.0' );
                }
            }
        }

        wp_enqueue_script( 'ninetheme-quantity-button', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/quantity_button.js', array('jquery'), '1.0.0', true );

        if ( '1' == ninetheme_settings( 'wc_ajax_login_register', '1' ) ) {
            wp_enqueue_script( 'ninetheme-login-register-ajax', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/ajax-login-register-script.js', array( 'jquery' ), false, '1.0' );
        }

        if ( 'open-in-popup' == ninetheme_settings( 'checkout_link_action_type', 'checkout-page' ) ) {
            wp_enqueue_script( 'ninetheme-checkout-ajax-popup', CRISOP_DIRECTORY_URI . '/woocommerce/assets/js/checkout-ajax-popup.js', array( 'jquery' ), false, '1.0' );
        }
    }

    if ( '1' == ninetheme_settings('popup_gdpr_visibility', 0 ) && 'enable' == ninetheme_gdpr_cookie() ) {
        wp_register_script( 'ninetheme-gdpr', CRISOP_DIRECTORY_URI . '/js/assets/js/gdpr.js', array( 'jquery' ), false, '1.0' );
    }

    if ( '1' == ninetheme_settings( 'theme_blocks_styles', '0' ) ) {
        wp_dequeue_style( 'wc-blocks-vendors-style' );
        wp_dequeue_style( 'wc-blocks-style' );
        wp_dequeue_style( 'wp-block-library' );
        wp_dequeue_style( 'wp-block-library-theme' );
        wp_dequeue_style( 'wc-blocks-style' ); // Remove WooCommerce block CSS
    }

    //wp_dequeue_style( 'ivole-frontend-css' );
    //wp_deregister_style( 'ivole-frontend-css' );

    // browser hacks
    wp_enqueue_script( 'modernizr', CRISOP_DIRECTORY_URI . '/js/modernizr.min.js', array( 'jquery' ), '1,0', false );
    wp_script_add_data( 'modernizr', 'conditional', 'lt IE 9' );
    wp_enqueue_script( 'respond', CRISOP_DIRECTORY_URI . '/js/respond.min.js', array( 'jquery' ), '1.0', false );
    wp_script_add_data( 'respond', 'conditional', 'lt IE 9' );
    wp_enqueue_script( 'html5shiv', CRISOP_DIRECTORY_URI . '/js/html5shiv.min.js', array( 'jquery' ), '1.0', false );
    wp_script_add_data( 'html5shiv', 'conditional', 'lt IE 9' );

    // comment form reply
    if ( is_singular() ) {
        wp_enqueue_script( 'comment-reply' );
    }

}
add_action( 'wp_enqueue_scripts', 'ninetheme_theme_scripts', 9999999 );

// preconnect theme fonts
function ninetheme_resource_hints( $urls, $relation_type )
{
    if ( wp_style_is( 'ninetheme-fonts', 'queue' ) && 'preconnect' === $relation_type ) {
        $urls[] = array(
            'href' => 'https://fonts.gstatic.com',
            'crossorigin'
        );
    }
    return $urls;
}
add_filter( 'wp_resource_hints', 'ninetheme_resource_hints', 10, 2 );


/*************************************************
## ADMIN STYLE AND SCRIPTS
*************************************************/

function ninetheme_admin_scripts()
{
    wp_register_style( 'select2-full', CRISOP_DIRECTORY_URI . '/js/select2/select2.min.css' );
    wp_register_script( 'select2-full', CRISOP_DIRECTORY_URI . '/js/select2/select2.full.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'wp-color-picker' );
    wp_enqueue_script( 'ninetheme-framework-admin', CRISOP_DIRECTORY_URI . '/js/framework-admin.js', array('jquery', 'wp-color-picker' ) );
}
add_action('admin_enqueue_scripts', 'ninetheme_admin_scripts');


// Theme admin menu
require_once get_parent_theme_file_path( '/inc/core/merlin/admin-menu.php' );

// Template-functions
include CRISOP_DIRECTORY . '/inc/template-functions.php';

// Theme parts
include CRISOP_DIRECTORY . '/inc/template-parts/menu.php';
include CRISOP_DIRECTORY . '/inc/template-parts/post-formats.php';
include CRISOP_DIRECTORY . '/inc/template-parts/single-post-formats.php';
include CRISOP_DIRECTORY . '/inc/template-parts/paginations.php';
include CRISOP_DIRECTORY . '/inc/template-parts/comment-parts.php';
include CRISOP_DIRECTORY . '/inc/template-parts/small-parts.php';
include CRISOP_DIRECTORY . '/inc/template-parts/header-parts.php';
include CRISOP_DIRECTORY . '/inc/template-parts/footer-parts.php';
include CRISOP_DIRECTORY . '/inc/template-parts/page-hero.php';
include CRISOP_DIRECTORY . '/inc/template-parts/breadcrumbs.php';
include CRISOP_DIRECTORY . '/inc/template-parts/custom-style.php';

// TGM plugin activation
include CRISOP_DIRECTORY . '/inc/core/class-tgm-plugin-activation.php';

// Redux theme options panel
include CRISOP_DIRECTORY . '/inc/core/theme-options/options.php';

// WooCommerce init
if ( class_exists( 'WooCommerce' ) ) {
    include CRISOP_DIRECTORY . '/woocommerce/init.php';
}

/*************************************************
## THEME SETUP
*************************************************/

if ( ! isset( $content_width ) ) {
    $content_width = 960;
}

function ninetheme_theme_setup()
{
    /*
    * This theme styles the visual editor to resemble the theme style,
    * specifically font, colors, icons, and column width.
    */
    add_editor_style( 'custom-editor-style.css' );

    // Add default posts and comments RSS feed links to head.
    add_theme_support( 'automatic-feed-links' );
    add_image_size( 'ninetheme-quickview', 320, 0 );
    add_image_size( 'ninetheme-panel', 80, 80 );
    add_image_size( 'ninetheme-mini', 300, 300, true );
    add_image_size( 'ninetheme-medium', 370, 370, true );
    add_image_size( 'ninetheme-square', 500, 500, true );
    add_image_size( 'ninetheme-grid', 767, 767, true );
    /*
    * Enable support for Post Thumbnails on posts and pages.
    *
    * See: https://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
    */
    add_theme_support( 'post-thumbnails' );

    // theme supports
    add_theme_support( 'title-tag' );
    add_theme_support( 'custom-background' );
    add_theme_support( 'custom-header' );
    add_theme_support( 'html5', array( 'search-form','style', 'script' ) );
    add_theme_support( 'admin-bar', array( 'callback' => '__return_false' ) );
    remove_theme_support( 'widgets-block-editor' );
    add_filter( 'use_widgets_block_editor', '__return_false' );

    // Make theme available for translation
    // Translations can be filed in the /languages/ directory
    load_theme_textdomain( 'crisop', CRISOP_DIRECTORY . '/languages' );
    if ( class_exists('Redux' ) ) {
        register_nav_menus(array(
            'header_menu'         => esc_html__( 'Header Menu', 'crisop' ),
            'sidebar_menu'        => esc_html__( 'Sidebar Menu', 'crisop' ),
            'header_topbar_menu1' => esc_html__( 'Topbar Menu 1', 'crisop' ),
            'header_topbar_menu2' => esc_html__( 'Topbar Menu 2', 'crisop' ),
            'header_lang_menu'    => esc_html__( 'Header Language Menu', 'crisop' ),
            'department_menu'     => esc_html__( 'Department Menu', 'crisop' ),
            'mobile_bottom_menu'  => esc_html__( 'Mobile Bottom Menu', 'crisop' )
        ) );
    } else {
        register_nav_menus(array(
            'header_menu' => esc_html__( 'Header Menu', 'crisop' )
        ) );
    }
}
add_action( 'after_setup_theme', 'ninetheme_theme_setup' );

// disable srcset on frontend
function ninetheme_disable_wp_responsive_images()
{
    return 1;
}
add_filter('max_srcset_image_width', 'ninetheme_disable_wp_responsive_images');


/*************************************************
## REMOVING CONTACT FORM 7 BR TAGS
*************************************************/
add_filter( 'wpcf7_autop_or_not', '__return_false' );


/*************************************************
## WIDGET COLUMNS
*************************************************/

function ninetheme_widgets_init()
{
    register_sidebar(array(
        'name' => esc_html__( 'Blog Sidebar', 'crisop' ),
        'id' => 'sidebar-1',
        'description' => esc_html__( 'These widgets for the Blog page.', 'crisop' ),
        'before_widget' => '<div class="nt-sidebar-inner-widget widget blog-sidebar-widget mb-40 %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<div class="nt-sidebar-inner-widget-title blog-sidebar-title"><h5>',
        'after_title' => '</h5></div>'
    ));
    if ( class_exists( 'Redux' ) ) {
        if ( 'full-width' != ninetheme_settings( 'ninetheme_page_layout' ) ) {
            register_sidebar(array(
                'name' => esc_html__( 'Default Page Sidebar', 'crisop' ),
                'id' => 'ninetheme-page-sidebar',
                'description' => esc_html__( 'These widgets for the Default Page pages.', 'crisop' ),
                'before_widget' => '<div class="nt-sidebar-inner-widget widget blog-sidebar-widget mb-40 %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<div class="nt-sidebar-inner-widget-title blog-sidebar-title"><h5>',
                'after_title' => '</h5></div>'
            ));
        }
        if ( 'full-width' != ninetheme_settings( 'archive_layout', 'full-width' ) ) {
            register_sidebar(array(
                'name' => esc_html__( 'Archive Sidebar', 'crisop' ),
                'id' => 'ninetheme-archive-sidebar',
                'description' => esc_html__( 'These widgets for the Archive pages.', 'crisop' ),
                'before_widget' => '<div class="nt-sidebar-inner-widget %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<div class="nt-sidebar-inner-widget-title blog-sidebar-title"><h5>',
                'after_title' => '</h5></div>'
            ));
        }
        if ( 'full-width' != ninetheme_settings( 'search_layout', 'full-width' ) ) {
            register_sidebar(array(
                'name' => esc_html__( 'Search Sidebar', 'crisop' ),
                'id' => 'ninetheme-search-sidebar',
                'description' => esc_html__( 'These widgets for the Search pages.', 'crisop' ),
                'before_widget' => '<div class="nt-sidebar-inner-widget %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<div class="nt-sidebar-inner-widget-title blog-sidebar-title"><h5>',
                'after_title' => '</h5></div>'
            ));
        }
        if ( 'full-width' != ninetheme_settings( 'single_layout', 'full-width' ) ) {
            register_sidebar(array(
                'name' => esc_html__( 'Blog Single Sidebar', 'crisop' ),
                'id' => 'ninetheme-single-sidebar',
                'description' => esc_html__( 'These widgets for the Blog single page.', 'crisop' ),
                'before_widget' => '<div class="nt-sidebar-inner-widget widget blog-sidebar-widget mb-40 %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<div class="nt-sidebar-inner-widget-title blog-sidebar-title"><h5>',
                'after_title' => '</h5></div>'
            ));
        }
    } // end if redux exists
} // end ninetheme_widgets_init
add_action( 'widgets_init', 'ninetheme_widgets_init' );


/*************************************************
## INCLUDE THE TGM_PLUGIN_ACTIVATION CLASS.
*************************************************/

function ninetheme_register_required_plugins()
{
    $plugins = array(
        array(
            'name' => esc_html__( 'Contact Form 7', 'crisop' ),
            'slug' => 'contact-form-7'
        ),
        array(
            'name' => esc_html__( 'Theme Options Panel', 'crisop' ),
            'slug' => 'redux-framework',
            'required' => true
        ),
        array(
            'name' => esc_html__( 'Elementor', 'crisop' ),
            'slug' => 'elementor',
            'required' => true
        ),
        array(
            'name' => esc_html__( 'WooCommerce', 'crisop' ),
            'slug' => 'woocommerce',
            'required' => true
        ),
        array(
            'name' => esc_html__( 'Customer Reviews for WooCommerce', 'crisop' ),
            'slug' => 'customer-reviews-woocommerce',
            'required' => false
        ),
        array(
            'name' => esc_html__( 'WPC Bought Together', 'crisop' ),
            'slug' => 'woo-bought-together',
            'required' => false
        ),
        array(
            'name' => esc_html__( 'WPC Smart Compare', 'crisop' ),
            'slug' => 'woo-smart-compare',
            'required' => false
        ),
        array(
            'name' => esc_html__( 'WPC Smart Wishlist', 'crisop' ),
            'slug' => 'woo-smart-wishlist',
            'required' => false
        ),
        array(
            'name' => esc_html__( 'Envato Auto Update Theme', 'crisop' ),
            'slug' => 'envato-market',
            'source' => 'https://ninetheme.com/documentation/plugins/envato-market.zip',
            'required' => false
        ),
        array(
            'name' => esc_html__( 'Crisop Elementor Addons', 'crisop' ),
            'slug' => 'ninetheme-elementor-addons',
            'source' => CRISOP_DIRECTORY . '/plugins/ninetheme-elementor-addons.zip',
            'required' => true,
            'version' => '1.0.4'
        )
    );

    $config = array(
        'id' => 'tgmpa',
        'default_path' => '',
        'menu' => 'tgmpa-install-plugins',
        'parent_slug' => apply_filters( 'ninetheme_parent_slug', 'themes.php' ),
        'has_notices' => true,
        'dismissable' => true,
        'dismiss_msg' => '',
        'is_automatic' => true,
        'message' => ''
    );

    tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'ninetheme_register_required_plugins' );


/*************************************************
## THEME SETUP WIZARD
*************************************************/

require_once get_parent_theme_file_path( '/inc/core/merlin/class-merlin.php' );
require_once get_parent_theme_file_path( '/inc/core/demo-wizard-config.php' );

function ninetheme_merlin_local_import_files() {
    $rtl = is_rtl() ? '-rtl' : '';
    return array(
        array(
            'landing_page' => 'https://landing.ninetheme.com/crisop/',
        ),
        array(
            'import_file_name'   => esc_html__( 'Home 1 - Grocery','crisop' ),
            'import_preview_url' => 'https://ninetheme.com/themes/crisop/',
            // XML data
            'local_import_file' => get_parent_theme_file_path( 'inc/core/merlin/demodata/demo1/data'.$rtl.'.xml' ),
            // Widget data
            'local_import_widget_file' => get_parent_theme_file_path( 'inc/core/merlin/demodata/demo1/widgets.wie' ),
            // Theme options
            'local_import_redux' => array(
                array(
                    'file_path'   => trailingslashit( CRISOP_DIRECTORY ). 'inc/core/merlin/demodata/demo1/redux.json',
                    'option_name' => 'crisop'
                )
            )
        )
    );
}
add_filter( 'merlin_import_files', 'ninetheme_merlin_local_import_files' );


function ninetheme_disable_size_images_during_import() {
    add_filter( 'intermediate_image_sizes_advanced', function( $sizes ){
        unset( $sizes['thumbnail'] );
        unset( $sizes['medium'] );
        unset( $sizes['medium_large'] );
        unset( $sizes['large'] );
        unset( $sizes['1536x1536'] );
        unset( $sizes['2048x2048'] );
        unset( $sizes['ninetheme-quickview'] );
        unset( $sizes['ninetheme-panel'] );
        unset( $sizes['ninetheme-mini'] );
        unset( $sizes['ninetheme-medium'] );
        unset( $sizes['ninetheme-square'] );
        unset( $sizes['ninetheme-grid'] );
        unset( $sizes['shop_catalog'] );
        unset( $sizes['shop_single'] );
        unset( $sizes['woocommerce_single'] );
        unset( $sizes['woocommerce_thumbnail'] );
        unset( $sizes['shop_thumbnail'] );
        unset( $sizes['woocommerce_gallery_thumbnail'] );
        return $sizes;
    });
}
add_action( 'import_start', 'ninetheme_disable_size_images_during_import');

/**
 * Execute custom code after the whole import has finished.
 */
function ninetheme_merlin_after_import_setup() {
    // Assign menus to their locations.
    $primary     = get_term_by( 'name', 'Header Menu', 'nav_menu' );
    $topbar_menu = get_term_by( 'name', 'Header Topbar Mini Menu', 'nav_menu' );
    $lang_menu = get_term_by( 'name', 'Topbar Menu 1', 'nav_menu' );

    wp_update_term_count( $primary->term_id, 'nav_menu', true );
    wp_update_term_count( $topbar_menu->term_id, 'nav_menu', true );
    wp_update_term_count( $lang_menu->term_id, 'nav_menu', true );

    set_theme_mod( 'nav_menu_locations', array(
        'header_menu'         => $primary->term_id,
        'header_lang_menu'    => $lang_menu->term_id,
        'header_topbar_menu1' => $topbar_menu->term_id,
    ));

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home #5' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

    if ( did_action( 'elementor/loaded' ) ) {
        // update some default elementor global settings after setup theme
        $kit = get_page_by_title( 'Default Kit', OBJECT, 'elementor_library' );
        update_option( 'elementor_active_kit', $kit->ID );

        $cpt_support = get_option( 'elementor_cpt_support' );
        if ( !is_array( $cpt_support ) || ! in_array( ['ninetheme_popups','post','page','product'], $cpt_support ) ) {
            $cpt_support = ['ninetheme_popups','post','page','product'];
            update_option( 'elementor_cpt_support', $cpt_support );
        }

        update_option( 'elementor_disable_color_schemes', 'yes' );
        update_option( 'elementor_disable_typography_schemes', 'yes' );
        update_option( 'elementor_global_image_lightbox', 'yes' );
        update_option( 'elementor_load_fa4_shim', 'yes' );
    }

    if ( class_exists( 'WPCleverWoosc' ) ) {
        $woosc_support = get_option('woosc_settings');
        if ( is_array( $woosc_support ) ) {
            $woosc_support['button_type'] = 'link';
            $woosc_support['quick_table_enable'] = 'no';
            $woosc_support['button_archive'] = '0';
            $woosc_support['button_single'] = '0';
            $woosc_support['open_button'] = '.open-compare-btn';
            update_option( 'woosc_settings', $woosc_support );
        } else {
            $woosc_support = array();
            $woosc_support['button_type'] = 'link';
            $woosc_support['quick_table_enable'] = 'no';
            $woosc_support['button_archive'] = '0';
            $woosc_support['button_single'] = '0';
            $woosc_support['open_button'] = '.open-compare-btn';
            update_option( 'woosc_settings', $woosc_support );
        }
    }

    if ( class_exists( 'WPCleverWoosw' ) ) {
        $woosw_support = get_option('woosw_settings');
        if ( is_array( $woosw_support ) ) {
            $woosw_support['button_type'] = 'link';
            $woosw_support['menu_action'] = 'open_popup';
            $woosw_support['button_position_archive'] = '0';
            $woosw_support['button_position_single'] = '0';
            update_option( 'woosw_settings', $woosw_support );
        } else {
            $woosw_support = array();
            $woosw_support['button_type'] = 'link';
            $woosw_support['menu_action'] = 'open_popup';
            $woosw_support['button_position_archive'] = '0';
            $woosw_support['button_position_single'] = '0';
            update_option( 'woosw_settings', $woosw_support );
        }
    }

    if ( class_exists( 'WPCleverWoosw' ) ) {
        $woobt_support = get_option('woobt_settings');
        if ( is_array( $woobt_support ) ) {
            $woobt_support['default'] = [ 0 => 'default', 1 => 'related', 2 => 'upsells' ];
            $woobt_support['default_limit'] = '4';
            $woobt_support['position'] = 'after';
            $woobt_support['search_same'] = 'yes';
            update_option( 'woobt_settings', $woobt_support );
        } else {
            $woobt_support = array();
            $woobt_support['default'] = [ 0 => 'default', 1 => 'related', 2 => 'upsells' ];
            $woobt_support['default_limit'] = '4';
            $woobt_support['position'] = 'after';
            $woobt_support['search_same'] = 'yes';
            update_option( 'woobt_settings', $woobt_support );
        }
    }

    /*
    * Customer Reviews for WooCommerce Plugins Settings
    * update some options after demodata insall
    */
    if ( class_exists( 'Ivole' ) ) {
        update_option( 'ivole_attach_image', 'yes' );
        update_option( 'ivole_attach_image_quantity', 2 );
        update_option( 'ivole_attach_image_size', 2 );
        update_option( 'ivole_ajax_reviews_per_page', 3 );
        update_option( 'ivole_disable_lightbox', 'yes' );
        update_option( 'ivole_reviews_histogram', 'yes' );
        update_option( 'ivole_reviews_voting', 'yes' );
        update_option( 'ivole_reviews_nobranding', 'yes' );
        update_option( 'ivole_ajax_reviews', 'yes' );
        update_option( 'ivole_ajax_reviews_form', 'yes' );
        update_option( 'ivole_questions_answers', 'yes' );
        update_option( 'ivole_qna_count', 'yes' );
        update_option( 'ivole_reviews_shortcode', 'yes' );
    }

    if ( class_exists( 'WooCommerce' ) ) {
        add_filter( 'woocommerce_default_catalog_orderby_options', 'date' );
        update_option( 'woocommerce_thumbnail_cropping', 'uncropped' );
        $args = array(
            'post_type'   => 'product',
            'numberposts' => -1
        );

        $all_posts = get_posts($args);
        foreach ( $all_posts as $single_post ) {
            wp_update_post( $single_post );
            wp_update_term_count( $single_post->ID, 'product_cat', true );
        }
        wp_reset_postdata();
    }
    // removes block widgets from sidebars after demodata install
    if ( is_active_sidebar( 'sidebar-1' ) ) {
        $sidebars_widgets = get_option( 'sidebars_widgets' );
        $sidebar_1_array  = $sidebars_widgets['sidebar-1'];
        foreach( $sidebar_1_array as $k => $v ) {
            if( substr( $v, 0, strlen("block-") ) === "block-" ) {
                unset($sidebars_widgets['sidebar-1'][$k]);
            }
        }
        update_option( 'sidebars_widgets', $sidebars_widgets);
    }
}
add_action( 'merlin_after_all_import', 'ninetheme_merlin_after_import_setup' );


add_action('init', 'do_output_buffer'); function do_output_buffer() { ob_start(); }

add_filter( 'woocommerce_prevent_automatic_wizard_redirect', '__return_true' );

add_action( 'admin_init', function() {
    if ( did_action( 'elementor/loaded' ) ) {
        remove_action( 'admin_init', [ \Elementor\Plugin::$instance->admin, 'maybe_redirect_to_getting_started' ] );
    }
}, 1 );

function ninetheme_register_elementor_locations( $elementor_theme_manager ) {

    $elementor_theme_manager->register_location( 'header' );
    $elementor_theme_manager->register_location( 'footer' );
    $elementor_theme_manager->register_location( 'single' );
    $elementor_theme_manager->register_location( 'archive' );
}
add_action( 'elementor/theme/register_locations', 'ninetheme_register_elementor_locations' );
