<?php

/**
* Custom template parts for this theme.
*
* Eventually, some of the functionality here could be replaced by core features.
*
* @package crisop
*/


add_action( 'ninetheme_footer_action', 'ninetheme_footer', 10 );

if ( ! function_exists( 'ninetheme_footer' ) ) {
    function ninetheme_footer()
    {
        $footer_id = false;

        if ( class_exists( '\Elementor\Core\Settings\Manager' ) ) {

            $page_footer_id = ninetheme_page_settings( 'ninetheme_page_footer_template' );
            $footer_id      = $page_footer_id !== '' ? $page_footer_id : $footer_id;
            $footer_id      = apply_filters('ninetheme_elementor_footer_template', $footer_id );
        }
        
        if ( '0' != ninetheme_settings( 'footer_visibility', '1' ) ) {

            if ( class_exists( '\Elementor\Frontend' ) && 'elementor' == ninetheme_settings( 'footer_template', 'default' ) ) {

                if ( $footer_id ) {
                    $frontend = new \Elementor\Frontend;
                    printf( '<footer class="ninetheme-elementor-footer footer-'.$footer_id.'">%1$s</footer>', $frontend->get_builder_content_for_display( $footer_id, true ) );

                } else {

                    echo ninetheme_print_elementor_templates( 'footer_elementor_templates', 'ninetheme-elementor-footer', true );
                }

            } else {

                ninetheme_copyright();

            }
        }
    }
}

/*************************************************
##  FOOTER COPYRIGHT
*************************************************/

if ( ! function_exists( 'ninetheme_copyright' ) ) {
    function ninetheme_copyright()
    {
        ?>
        <footer id="nt-footer" class="ninetheme-footer-area ninetheme-default-copyright">
            <div class="container-xl ninetheme-container-xl">
                <div class="row ninetheme-align-center ninetheme-justify-center">
                    <div class="col-12">
                        <div class="copyright-text">
                            <?php
                            if ( '' != ninetheme_settings( 'footer_copyright' ) ) {

                                echo wp_kses( ninetheme_settings( 'footer_copyright' ), ninetheme_allowed_html() );

                            } else {
                                echo sprintf( '<p class="text-center">Copyright &copy; %1$s, <a class="theme" href="%2$s">%3$s</a> Theme. %4$s <a class="dev" href="https://ninetheme.com/contact/"> %5$s</a></p>',
                                    date_i18n( _x( 'Y', 'copyright date format', 'crisop' ) ),
                                    esc_url( home_url( '/' ) ),
                                    get_bloginfo( 'name' ),
                                    esc_html__( 'Made with passion by', 'crisop' ),
                                    esc_html__( 'Ninetheme.', 'crisop' )
                                );
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <?php
    }
}
