jQuery(document).ready(function($) {

    'use strict';

    // AJax single add to cart
 
    // AJax single add to cart
    $(document).on('click', 'a.ajax_add_to_cart', function(e){
        e.preventDefault();
        var $thisbutton = $(this);
        var $qty        = $thisbutton.closest( '.cart-quantity-wrapper' ).find( '.qty' );
        var $min        = parseFloat( $qty.attr( 'min' ) );
        var $max        = parseFloat( $qty.attr( 'max' ) );
        var $qty_val    = parseFloat( $qty.val() );
        var new_val;

        if ( $qty_val === 0 ) {
            new_val = 1;
        } else if ( $qty_val === 1 ) {
            new_val = 2;
        } else {
            new_val = $qty_val + parseFloat( $thisbutton.data('quantity') )
        }

        $thisbutton.parents('.ninetheme-loop-product-cart-with-quantity').addClass('quntity-open loading');
        $thisbutton.parents('.ninetheme-add-to-cart-btn').addClass('loading');

        if ( $qty_val >= 0 ) {
            if ( $max && ( $max === $qty_val || $qty_val > $max || $max === new_val ) ) {
                $qty.val( $max ).trigger('change');
                $thisbutton.parents('.ninetheme-loop-product-cart-with-quantity').addClass('has-max-quntity');
                $thisbutton.parents('.ninetheme-loop-product-cart-with-quantity').find('.plus').addClass('disabled');
            } else {
                $qty.val( new_val ).trigger('change');
            }
        }

        var formData = new FormData();
        formData.append('add-to-cart', $thisbutton.attr( 'data-product_id' ));

        // Trigger event.
        $( document.body ).trigger( 'adding_to_cart', [ $thisbutton, formData ] );

        // Ajax action.
        $.ajax({
            url: wc_add_to_cart_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'ninetheme_ajax_add_to_cart' ),
            data: formData,
            type: 'POST',
            processData: false,
            contentType: false,
            success: function( response ) {
                if ( ! response ) {
                    return;
                }

                if ( response.error && response.product_url ) {
                    window.location = response.product_url;
                    return;
                }

                // Redirect to cart option
                if ( wc_add_to_cart_params.cart_redirect_after_add === 'yes' ) {
                    window.location = wc_add_to_cart_params.cart_url;
                    return;
                }
                $thisbutton.parents('.ninetheme-loop-product-cart-with-quantity').removeClass('loading');
                $thisbutton.parents('.ninetheme-add-to-cart-btn').removeClass('loading').addClass('added');
                
                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ) {
                    $('.ninetheme-shop-popup-notices').html(response.fragments.notices_html);
                    var notices_html = $('.ninetheme-shop-popup-notices').html();
                    $thisbutton.parents('.ninetheme-loop-thumb-wrapper').append('<div class="ninetheme-shop-popup-notices postion-in-product active">'+notices_html+'</div>');
                } else {
                    $('.ninetheme-shop-popup-notices').html(response.fragments.notices_html).addClass('active');
                }

                $('.ninetheme-shop-popup-notices .woocommerce-message').delay( 3000 ).fadeOut( "slow", function() {
                    $('.ninetheme-shop-popup-notices .woocommerce-message').remove();
                    $('.ninetheme-shop-popup-notices:not(.clicked)').removeClass('active');
                });


                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                    $('.ninetheme-shop-popup-notices .woocommerce-message').delay( 3000 ).fadeOut( "slow", function() {
                        $thisbutton.parents('.ninetheme-loop-thumb-wrapper').find('.ninetheme-shop-popup-notices').remove();
                    });
                }

                if (response.fragments.notices_html.indexOf('woocommerce-error') > -1)
                {
                    window.stop();
                }
            },
            dataType: 'json'

        });
    });
});