jQuery(document).ready(function ($) {

    $(document).on('ninethemeShopInit', function () {
        infinitescroll();
    });

    function infinitescroll() {

        $(window).data('ajaxready', true).scroll(function(e) {

            if ($(window).data('ajaxready') == false) return;
            if ($('div.ninetheme-products').hasClass('all-products-loaded') ) return;
            var products_row  = $('div.ninetheme-products').offset().top + $('div.ninetheme-products.row').outerHeight();
            var products_rowh = $('div.ninetheme-products.row').outerHeight();
            if( $(window).scrollTop() >= ( products_row - window.innerHeight ) - products_rowh ) {

                $(window).data('ajaxready', false);

                ninetheme_infinite_pagination();
            }
        });
    }

    infinitescroll();

    function ninetheme_infinite_pagination() {
        var object = $('.shop-data-filters').data('shop-filters');
        if ( !object ) {
            return;
        }
        var data = {
            cache      : false,
            action     : 'ninetheme_shop_load_more',
            beforeSend : function() {

                if ( object.current_page == object.max_page ) {
                    console.log('Hello 1');
                    $('.ninetheme-load-more').removeClass('content-loading').addClass('no-more').text(object.no_more);
                    setTimeout(function(){
                        $('.row-infinite').slideUp('slow');
                    }, 3000);
                } else {
                    $('.row-infinite').show();
                    $('.ninetheme-load-more').addClass('loading');
                }
            },
            'ajaxurl'         : object.ajaxurl,
            'current_page'    : object.current_page,
            'per_page'        : object.per_page,
            'max_page'        : object.max_page,
            'cat_id'          : object.cat_id,
            'brand_id'        : object.brand_id,
            'campaign_id'     : object.campaign_id,
            'locations'       : object.locations,
            'filter_cat'      : object.filter_cat,
            'filter_brand'    : object.filter_brand,
            'filter_campaign' : object.filter_campaign,
            'layered_nav'     : object.layered_nav,
            'on_sale'         : object.on_sale,
            'orderby'         : object.orderby,
            'min_price'       : object.min_price,
            'max_price'       : object.max_price,
            'product_style'   : object.product_style,
            'column'          : object.column,
            'no_more'         : object.no_more,
            'is_search'       : object.is_search,
            's'               : object.s
        };

        if ( object.current_page == object.max_page ) {
            $('.ninetheme-load-more').addClass('no-more').text(object.no_more);
            $('.row-infinite').slideDown('slow');
            setTimeout(function(){
                $('.row-infinite').slideUp('slow');
            }, 3000);
            return;
        }

        $.post(object.ajaxurl, data, function(response) {
            if ( response != '0' ) {
                $('div.ninetheme-products.row').append(response);
            }

            $(document.body).trigger('ninetheme_quick_shop');
            $('body').trigger('ninetheme_quick_init');
            $(document.body).trigger('ninetheme_variations_init');

            if ( object.current_page == object.max_page ) {

                $('.ninetheme-load-more').addClass('no-more').text(object.no_more);
                setTimeout(function(){
                    $('.row-infinite').slideUp('slow');
                }, 3000);
                $('div.ninetheme-products').addClass('all-products-loaded');
            }

            $(document.body).trigger('ninetheme_masonry_init');
            $(document.body).trigger('ninetheme_loop_product_details_init');

            object.current_page++;

            $(window).data('ajaxready', true);
        });

        return false;
    }
});
