jQuery(document).ready(function($) {

    "use strict";

    $('.product-in-cart .ninetheme-add-to-cart-btn').each(function() {
        $(this).addClass('added');
    });
    
    $('body').on('nineThemeShopNotices',function() {
        if ( !$('.ninetheme-shop-popup-notices .ninetheme-cart-update-message').length ) {
            $('.ninetheme-shop-popup-notices').removeClass('clicked active');
        }
    });
    
    function ninethemeQtyBtn() {
        $('body').off('click.qtyBtn').on('click.qtyBtn','.plus, .minus', function() {
            
            var $this = $(this);
            
            if ( $this.parent().hasClass('.ninetheme-loop-ajax-quantity') ){
                
                var wrapper   = $this.parents( '.cart-quantity-wrapper' ),
                    qty_input = wrapper.find( '.qty' );
            
                if ( $(qty_input).prop('disabled') ) return;
                
                var qty_step   = parseFloat($(qty_input).attr('step')),
                    qty_min    = parseFloat($(qty_input).attr('min')),
                    qty_max    = parseFloat($(qty_input).attr('max')),
                    product_id = wrapper.data('product_id'),
                    loop_id    = '.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"]',
                    vl         = parseFloat($(qty_input).val()),
                    vll        = $this.is('.minus') ? ( (vl - qty_step) < qty_min ) ? qty_min : (vl - qty_step) : ( (vl + qty_step) >= qty_max ) ? qty_max : (vl + qty_step);
                
                if ( $this.is('.minus') ){
        
                    qty_input.val(vll);
                    $(loop_id + ' .plus' ).removeClass('disabled');
                    $(loop_id).removeClass('has-max-quntity');
                    
                    if ( ! $this.parents( '.ninetheme-loop-product-cart-with-quantity' ).length ) {
                        $(loop_id).removeClass('has-max-quntity quntity-open');
                        $(loop_id + ' .qty').val(vll).trigger('change');
                	    $(loop_id + ' .added').removeClass('added');
                	    $(loop_id + ' a.added_to_cart').remove();
                    }
                    
                } else {
                    if ( qty_max && ( qty_max === vll || vll > qty_max ) ) {
                        qty_input.val(qty_max);
                        $this.addClass('disabled');
                        wrapper.addClass('has-max-quntity');
                    } else {
                        qty_input.val(vll);
                    }
                    
                    if ( ! $this.parents( '.ninetheme-loop-product-cart-with-quantity' ).length ) {
                        $(loop_id).removeClass('has-max-quntity quntity-open');
                        $(loop_id + ' .qty').val(vll).trigger('change');
                	    $(loop_id + ' .added').removeClass('added');
                	    $(loop_id + ' a.added_to_cart').remove();
                    }
                }
                
                if ( qty_input.val() === '0' ) {
                    $(loop_id).removeClass('has-max-quntity quntity-open');
                	$(loop_id + ' .added').removeClass('added');
                	$(loop_id + ' a.added_to_cart').remove();
                }
            
                qty_input.trigger( 'change' );
                
            } else {
                
                var $qty    = $( this ).closest( '.quantity' ).find( '.qty' ),
                    qty_val = parseFloat( $qty.val() ),
                    max     = parseFloat( $qty.attr( 'max' ) ),
                    min     = parseFloat( $qty.attr( 'min' ) ),
                    step    = $qty.attr( 'step' ),
                    new_val = 0;
        
                if ( ! qty_val || qty_val === '' || qty_val === 'NaN' ) {
                    qty_val = 0;
                }
                if ( max === '' || max === 'NaN' ) {
                    max = '';
                }
                if ( min === '' || min === 'NaN' ) {
                    min = 0;
                }
                if ( step === 'any' || step === '' || step === undefined || parseFloat( step ) === 'NaN' ) {
                    step = 1;
                } else {
                    step = parseFloat(step);
                }
        
                // Update values
                if ( $( this ).is( '.plus' ) ) {
                    if ( max && ( max === qty_val || qty_val > max ) ) {
                        $qty.val( max );
                        $( this ).addClass('disabled');
                    } else {
                        new_val = qty_val + parseFloat( step );
                        $qty.val( new_val );
                        if ( max && ( max === new_val || new_val > max ) ) {
                            $( this ).addClass('disabled');
                        }
                        $qty.trigger('change');
                    }
                } else {
                    if ( min && ( min === qty_val || qty_val < min ) ) {
                        $qty.val( min );
                        $( this ).addClass('disabled');
                    } else if ( qty_val > 0 ) {
                        new_val = qty_val - parseFloat( step );
                        $qty.val( new_val );
                        if ( min && ( min === new_val || new_val < min ) ) {
                            $( this ).addClass('disabled');
                        }
                        $qty.trigger('change');
                    }
                }
            }
        });
    }
    
    ninethemeQtyBtn();
    
    $(document.body).on('ninetheme_on_qtybtn', ninethemeQtyBtn );
    
    $(document.body).on( 'update_checkout', ninethemeQtyBtn );
    
    
    $(document).on('click', '.cart-quantity-wrapper .plus, .cart-quantity-wrapper .minus', function() {
        event.preventDefault();
        
        var $this = $(this);
        var qty = $this.parent().find('.qty');
        var pid = $this.closest('.cart-quantity-wrapper').attr('data-product_id');
        
        var data = {
            type: 'POST',
            timeout: 3000,
            cache: false,
            action: 'ninetheme_quantity_button',
            beforeSend: function () {
                $this.parents('.woocommerce-mini-cart-item').append('<span class="loading-wrapper"><span class="ajax-loading"></span></span>').addClass('loading');
                $this.parents('.ninetheme-loop-product-cart-with-quantity').addClass('loading');
                $('.ninetheme-shop-popup-notices').addClass('clicked');
            },
            id: pid,
            quantity : qty.val()
        };
        
        $.post(ninetheme_vars.ajax_url, data, function(response) {
            
			if ( response ) {
			    
			    $this.parents('.ninetheme-loop-product-cart-with-quantity').removeClass('loading');
			    
                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                    $this.parents('.ninetheme-loop-product').find('.ninetheme-loop-thumb-wrapper').append('<div class="ninetheme-shop-popup-notices postion-in-product active">'+response+'</div>');
                } else {
				    $(response).appendTo('.ninetheme-shop-popup-notices');
				    $('.ninetheme-shop-popup-notices').addClass('active');
                }
			}
			
            $('.ninetheme-shop-popup-notices .ninetheme-cart-update-message').each(function(i,e){
                var delay = $(e).data('delay') + 200*i;
                $(e).attr('data-delay', delay );
                $(e).delay( parseFloat( $(e).data('delay') ) ).fadeOut( "slow", function() {
                    $(e).remove();
                    $('body').trigger('nineThemeShopNotices');
                });
            });

            $(document.body).trigger('wc_fragment_refresh').trigger('updated_cart_totals');
            $(document.body).trigger("update_checkout");
            $(document.body).trigger("ninetheme_update_progressbar");
            $this.parents('.ninetheme-loop-product-cart-with-quantity').removeClass('loading');
        });
    });
    
	// AJax single add to cart
	$(document).on('click', 'a.remove_from_cart_button', function(e){
	    var product_id = $(this).data('product_id');
	    var min_qty = $('.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"] .qty').attr('min');
	    $('.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"]').removeClass('has-max-quntity quntity-open');
	    $('.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"] .plus' ).removeClass('disabled');
	    $('.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"] .added').removeClass('added');
	    $('.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"] a.added_to_cart').remove();
	    $('.ninetheme-loop-product-cart-with-quantity[data-product_id="'+product_id+'"] .qty').val(min_qty).trigger('change');
	    var removedProductParent   = $(this).parents('.woocommerce-mini-cart-item');
	    var removedProductName     = removedProductParent.find('.cart-name').html();
	    var removedProductQty      = removedProductParent.find('.cart-quantity').html();
	    var removedProductMessage  = '<div class="woocommerce-message ninetheme-cart-update-message" role="alert" data-delay="3500">'+removedProductQty+ ' &times; ' +removedProductName+' '+ninetheme_vars.strings.button.removed_from_cart+'</div>';
	    console.log(removedProductMessage);
	    $('.ninetheme-shop-popup-notices .woocommerce-notices-wrapper').html(removedProductMessage);
		$('.ninetheme-shop-popup-notices').addClass('active');
		
        $('.ninetheme-shop-popup-notices .ninetheme-cart-update-message').each(function(i,e){
            var delay = $(e).data('delay') + 200*i;
            $(e).attr('data-delay', delay );
            $(e).delay( parseFloat( $(e).data('delay') ) ).fadeOut( "slow", function() {
                $(e).remove();
                $('body').trigger('nineThemeShopNotices');
            });
        });

	});

});
