(function($) {

    var $doc  = $(document),
        $win  = $(window),
        $body = $('body'),
        links = '.woocommerce .widget_rating_filter ul li a, .widget_product_categories a, .woocommerce-widget-layered-nav a, body.post-type-archive-product:not(.woocommerce-account) .ninetheme-woocommerce-pagination a, body.tax-product_cat:not(.woocommerce-account) .ninetheme-woocommerce-pagination a, .woocommerce-widget-layered-nav-list a, .top-action a, .ninetheme-choosen-filters a, .widget_product_tag_cloud a, .ninetheme-shop-filter-area a, .ninetheme-woo-breadcrumb .breadcrumb li a, .shop-slider-categories .slick-slide a, .ninetheme-remove-filter a, .ninetheme-product-status a, .ninetheme-widget-product-categories a, .ninetheme-widget-product-brands a, .ninetheme-shop-hero .ninetheme-wc-category-list li a, .ninetheme-shop-hero .ninetheme-category-slide-item a, .shop-cat-banner-template-wrapper .ninetheme-banner-link',
        sidebar_links = '.nt-sidebar-inner .widget_rating_filter ul li a, .nt-sidebar-inner .widget_product_categories a, .nt-sidebar-inner .woocommerce-widget-layered-nav a, .nt-sidebar-inner .woocommerce-widget-layered-nav-list a, .nt-sidebar-inner .ninetheme-choosen-filters a,.ninetheme-choosen-filters-row a, .nt-sidebar-inner .widget_product_tag_cloud a, .nt-sidebar-inner .ninetheme-remove-filter a, .nt-sidebar-inner .ninetheme-product-status a, .nt-sidebar-inner .ninetheme-widget-product-categories a, .nt-sidebar-inner .ninetheme-widget-product-brands a';

    function scrollToTop($target) {
        if ( $($target).length ) {
            var adminBarHeight = $body.hasClass('admin-bar') ? 46 + 140 : 140;
            setTimeout(function(){
                $('html, body').stop().animate({
                    scrollTop: $($target).offset().top - adminBarHeight
                }, 800);
            }, 800 );

        }
    }

    function sortOrder() {
        var $order = $('.woocommerce-ordering');

        $order.on('change', 'select.orderby', function() {
            var $form = $(this).closest('form');
            $form.find('[name="_pjax"]').remove();

            $.pjax({
                container: '.ninetheme-products-wrapper',
                timeout  : 5000,
                url      : '?' + $form.serialize(),
                scrollTo : false,
                renderCallback: function(context, html, afterRender) {
                    context.html(html);
                    afterRender();
                    $doc.trigger('ninethemeShopInit');
                }
            });
        });

        $order.on('submit', function(e) {
            return false;
        });
    }

    function perPage() {
        var $perPage = $('.products-per-page');

        $perPage.on('change', 'select.perpage', function() {
            var $form = $(this).closest('form');
            $form.find('[name="_pjax"]').remove();

            $.pjax({
                container: '.ninetheme-products-wrapper',
                timeout  : 5000,
                url      : '?' + $form.serialize(),
                scrollTo : false,
                renderCallback: function(context, html, afterRender) {
                    context.html(html);
                    afterRender();
                    $doc.trigger('ninethemeShopInit');
                }
            });
        });

        $perPage.on('submit', function(e) {
            e.preventDefault(e);
        });
    }

    function priceSlider() {

        if ( $('body').hasClass('shop-layout-no-sidebar') || !$( '.price_slider' ).length > 0 ) {
            return;
        }

        $( document.body ).on( 'price_slider_create price_slider_slide', function( event, min, max ) {

            $( '.price_slider_amount span.from' ).html( accounting.formatMoney( min, {
                symbol:    woocommerce_price_slider_params.currency_format_symbol,
                decimal:   woocommerce_price_slider_params.currency_format_decimal_sep,
                thousand:  woocommerce_price_slider_params.currency_format_thousand_sep,
                precision: woocommerce_price_slider_params.currency_format_num_decimals,
                format:    woocommerce_price_slider_params.currency_format
            } ) );

            $( '.price_slider_amount span.to' ).html( accounting.formatMoney( max, {
                symbol:    woocommerce_price_slider_params.currency_format_symbol,
                decimal:   woocommerce_price_slider_params.currency_format_decimal_sep,
                thousand:  woocommerce_price_slider_params.currency_format_thousand_sep,
                precision: woocommerce_price_slider_params.currency_format_num_decimals,
                format:    woocommerce_price_slider_params.currency_format
            } ) );

            //if ( $( '.price_slider_amount span.from' ).length ) {
                $( document.body ).trigger( 'price_slider_updated', [ min, max ] );
            //}
        });

        function initPriceFilter() {
            if ( $('body').hasClass('shop-layout-no-sidebar') || !$( '.price_slider' ).length > 0 ) {
                return;
            }
            $( 'input#min_price, input#max_price' ).hide();
            $( '.price_slider, .price_label' ).show();

            var min_price         = $( '.price_slider_amount #min_price' ).data( 'min' ),
                max_price         = $( '.price_slider_amount #max_price' ).data( 'max' ),
                step              = $( '.price_slider_amount' ).data( 'step' ) || 1,
                current_min_price = $( '.price_slider_amount #min_price' ).val(),
                current_max_price = $( '.price_slider_amount #max_price' ).val();

            $( '.price_slider:not(.ui-slider)' ).slider({
                range  : true,
                animate: true,
                min    : min_price,
                max    : max_price,
                step   : step,
                values : [ current_min_price, current_max_price ],
                create : function() {

                    $( '.price_slider_amount #min_price' ).val( current_min_price );
                    $( '.price_slider_amount #max_price' ).val( current_max_price );

                    $( document.body ).trigger( 'price_slider_create', [ current_min_price, current_max_price ] );
                },
                slide: function( event, ui ) {

                    $( 'input#min_price' ).val( ui.values[0] );
                    $( 'input#max_price' ).val( ui.values[1] );

                    $( document.body ).trigger( 'price_slider_slide', [ ui.values[0], ui.values[1] ] );
                },
                change: function( event, ui ) {

                    $( document.body ).trigger( 'price_slider_change', [ ui.values[0], ui.values[1] ] );
                }
            });
        }

        initPriceFilter();
        $( document.body ).on( 'init_price_filter', initPriceFilter );

        var hasSelectiveRefresh = (
            'undefined' !== typeof wp &&
            wp.customize &&
            wp.customize.selectiveRefresh &&
            wp.customize.widgetsPreview &&
            wp.customize.widgetsPreview.WidgetPartial
        );
        if ( hasSelectiveRefresh ) {
            wp.customize.selectiveRefresh.bind( 'partial-content-rendered', function() {
                initPriceFilter();
            } );
        }

        var $min_price = $('.price_slider_amount #min_price');
        var $max_price = $('.price_slider_amount #max_price');
        var $products  = $('.products');

        if (typeof woocommerce_price_slider_params === 'undefined' || $min_price.length < 1 || !$.fn.slider) {
            return false;
        }

        var $slider = $('.price_slider');

        if ($slider.slider('instance') !== undefined) {
            return;
        }

        $('input#min_price, input#max_price').hide();
        $('.price_slider, .price_label').show();

        var min_price         = $min_price.data('min'),
            max_price         = $max_price.data('max'),
            current_min_price = parseInt(min_price, 10),
            current_max_price = parseInt(max_price, 10);

        if ($products.attr('data-min_price') && $products.attr('data-min_price').length > 0) {
            current_min_price = parseInt($products.attr('data-min_price'), 10);
        }

        if ($products.attr('data-max_price') && $products.attr('data-max_price').length > 0) {
            current_max_price = parseInt($products.attr('data-max_price'), 10);
        }

        $slider.slider({
            range  : true,
            animate: true,
            min    : min_price,
            max    : max_price,
            values : [
                current_min_price,
                current_max_price
            ],
            create : function() {
                $min_price.val(current_min_price);
                $max_price.val(current_max_price);

                $body.trigger('price_slider_create', [
                    current_min_price,
                    current_max_price
                ]);
            },
            slide  : function(event, ui) {
                $('input#min_price').val(ui.values[0]);
                $('input#max_price').val(ui.values[1]);

                $body.trigger('price_slider_slide', [
                    ui.values[0],
                    ui.values[1]
                ]);
            },
            change : function(event, ui) {
                $body.trigger('price_slider_change', [
                    ui.values[0],
                    ui.values[1]
                ]);
            }
        });

        setTimeout(function() {
            $body.trigger('price_slider_create', [
                current_min_price,
                current_max_price
            ]);

            if ($slider.find('.ui-slider-range').length > 1) {
                $slider.find('.ui-slider-range').first().remove();
            }
        }, 10);
    }

    function ajaxHandler() {

        $doc.pjax(links, '.ninetheme-products-wrapper', {
            timeout       : 5000,
            scrollTo      : false,
            renderCallback: function(context, html, afterRender) {
                context.html(html);
                afterRender();
            }
        });

        $doc.on('submit', '.widget_price_filter form', function(event) {
            $.pjax.submit(event, '.ninetheme-products-wrapper');
        });

        $doc.on('pjax:error', function(xhr, textStatus, error) {
            console.log('pjax error ' + error);
        });

        $doc.on('pjax:start', function() {

            var $shopContent = $('.ninetheme-products-wrapper');
            $shopContent.addClass('product-loading').append('<span class="loading-wrapper products-wrapper-loading"><span class="ajax-loading"></span></span>').css('min-height', 300);
            if ( $('.ninetheme-woocommerce-pagination').length > 0 ) {
                scrollToTop('.shop-area .ninetheme-products-wrapper');
            }
            $(".ninetheme-products, .ninetheme-more, nav.ninetheme-woocommerce-pagination").hide();

            if ( ( typeof compare_vars != 'undefined' ) && compare_vars.products ) {
                var compare_ids = [];
                $('.ninetheme-product .ninetheme-compare-btn.added' ).each(function(){
                    compare_ids.push( $(this).data('id') );
                });
                compare_vars.products = compare_ids;
            }
            if ( ( typeof wishlist_vars != 'undefined' ) && wishlist_vars.products ) {
                var wishlist_ids = [];
                $('.ninetheme-product .ninetheme-wishlist-btn.added' ).each(function(){
                    wishlist_ids.push( $(this).data('id') );
                });
                wishlist_vars.products = wishlist_ids;
            }
        });

        $doc.on('pjax:complete', function() {

            var $filters = $('.ninetheme-products-wrapper .shop-data-filters').data('shop-filters');
            if ( $filters.max_page == 1 ) {
                $(".row-more").hide();
            }

            $doc.trigger('ninethemeShopInit');
        });

        $doc.on('pjax:end', function() {

            $('.ninetheme-products-wrapper').removeClass('product-loading').addClass('ajax-loaded');
            $('.ninetheme-products-wrapper .products-wrapper-loading').remove();
        });
    }

    function ninethemeAfterRender() {

        var $afterAjaxShop         = $('.site-content');
        var $afterAjaxContent      = $('.ninetheme-after-ajax-content');
        var $perPageContent        = $afterAjaxContent.find('.perpage-filter-ajax-content').html();
        var $columnSelectContent   = $afterAjaxContent.find('.column-select-ajax-content').html();
        var $heroContent           = $afterAjaxContent.find('.ninetheme-shop-hero-wrapper').html();
        var $heroTitle             = $afterAjaxContent.find('.ninetheme-shop-hero .nt-hero-title').html();
        var $heroBreadcrumbs       = $afterAjaxContent.find('.ninetheme-shop-hero .ninetheme-breadcrumbs').html();
        var $resultCountContent    = $afterAjaxContent.find('.woocommerce-result-count').html();
        var $sidebarContent        = $afterAjaxContent.find('.nt-sidebar-ajax-content .nt-sidebar-inner-wrapper').html();
        var $fixedSidebarContent   = $afterAjaxContent.find('.ninetheme-shop-fixed-sidebar.nt-sidebar-ajax-content .nt-sidebar-inner-wrapper').html();
        var $choosenContent        = $afterAjaxContent.find('.nt-sidebar-ajax-content .ninetheme-choosen-filters').html();

        $('.ninetheme-header-bottom-bar .woocommerce-result-count').html($resultCountContent);
        $afterAjaxShop.find('.woocommerce-result-count').html($resultCountContent);
        $('.nt-shop-page .ninetheme-shop-hero-wrapper:not(.page-hero-static)').html($heroContent);
        $('.nt-shop-page .ninetheme-shop-hero-wrapper.page-hero-static .nt-hero-title').html($heroTitle);
        $('.nt-shop-page .ninetheme-shop-hero-wrapper.page-hero-static .ninetheme-breadcrumbs').html($heroBreadcrumbs);
        $afterAjaxShop.find('.ninetheme-filter-per-page-area').html($perPageContent);
        $afterAjaxShop.find('.ninetheme-filter-column-select-area').html($columnSelectContent);
        $('.ninetheme-header-bottom-bar .ninetheme-filter-column-select-area').html($columnSelectContent);

        if ( typeof $choosenContent == undefined || typeof $choosenContent == 'undefined' ) {
            $('.ninetheme-choosen-filters-row').removeClass('filters-active').html('');
        } else {
            $('.ninetheme-choosen-filters-row').addClass('filters-active').html($choosenContent);
        }

        if ( $('body').hasClass('shop-layout-no-sidebar') ) {
            return;
        }
        $afterAjaxShop.find('.nt-sidebar:not(.ninetheme-shop-fixed-sidebar) .nt-sidebar-inner-wrapper').html($sidebarContent);
        $afterAjaxShop.find('.nt-sidebar.ninetheme-shop-fixed-sidebar:not(.nt-sidebar-ajax-content) .nt-sidebar-inner-wrapper').html($fixedSidebarContent);

        if ( $(window).width() >= 1024 ) {
            var columnSize = $('.ninetheme-shop-hidden-top-sidebar').data('column');
            $('.ninetheme-shop-hidden-top-sidebar .nt-sidebar-inner').addClass(columnSize);
        }

        if ( $('.ninetheme-loop-slider') ) {
            $('.ninetheme-loop-slider').each(function () {
                const options = $(this).data('swiper-options');
                const mySlider = new NTSwiper(this, options);
            });
        }

        if ( $('.ninetheme-swiper-slider') ) {
            $('.ninetheme-swiper-slider').each(function () {
                const options = $(this).data('swiper-options');
                const mySlider = new NTSwiper(this, options);
            });
        }

        if ( $('.ninetheme-slick-slider') ) {
            $('.ninetheme-slick-slider').each(function () {
                $(this).not('.slick-initialized').slick();
            });
        }

        if ( typeof ninetheme_vars !== 'undefined' && ninetheme_vars ) {
            var colors = ninetheme_vars.shop.swatches_color;

            $('.woocommerce-widget-layered-nav-list li a').each(function () {
                var $this = $(this);
                var title = $this.html();
                for (var i in colors) {
                    if ( title == i ) {
                        var is_white = colors[i] == '#fff' || colors[i] == '#ffffff' ? ' is_white' : '';
                        var color = '<span class="ninetheme-swatches-widget-color-item'+is_white+'" style="background-color: '+colors[i]+';"></span>';
                        $this.prepend(color);
                    }
                }
            });
        }

        $('.site-scroll li.cat-parent.checked').each(function () {
            $(this).find('.subDropdown').trigger('click');
        });

        $('.nt-sidebar-widget-body li.checked, .nt-sidebar-widget-body .chosen').each(function () {
            $(this).parents('.nt-sidebar-widget-body').prev('.nt-sidebar-inner-widget-title').addClass('active');
        });

        $('.nt-sidebar-widget-body a').on('click', function (e) {
            $(this).parents('.nt-sidebar-widget-body').prev().toggleClass('active');
        });
        $('.ninetheme-product-button.ninetheme-wishlist-btn.woosw-btn:not(.icon-added)').each(function () {
            const wsBtn = $(this);
            $('<svg class="svgLove ninetheme-svg-icon" width="512" height="512" fill="currentColor" viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg"><path d="m29.55 6.509c-1.73-2.302-3.759-3.483-6.031-3.509h-.076c-3.29 0-6.124 2.469-7.443 3.84-1.32-1.371-4.153-3.84-7.444-3.84h-.075c-2.273.026-4.3 1.207-6.059 3.549a8.265 8.265 0 0 0 1.057 10.522l11.821 11.641a1 1 0 0 0 1.4 0l11.82-11.641a8.278 8.278 0 0 0 1.03-10.562zm-2.432 9.137-11.118 10.954-11.118-10.954a6.254 6.254 0 0 1 -.832-7.936c1.335-1.777 2.831-2.689 4.45-2.71h.058c3.48 0 6.627 3.924 6.658 3.964a1.037 1.037 0 0 0 1.57 0c.032-.04 3.2-4.052 6.716-3.964a5.723 5.723 0 0 1 4.421 2.67 6.265 6.265 0 0 1 -.805 7.976z"/></svg>').appendTo(wsBtn);
        });
    }

    function buttonsActions() {
        //Header cart Toggle
        $('.ninetheme-cart-btn').on('click', function () {
            $('.ninetheme-header-cart-details.minicart').toggleClass('active');
        });

        $('.nt-sidebar ul.product-categories li.cat-parent> ul.children').each( function (e) {
            $(this).slideUp();
        });

        $('.nt-sidebar ul.product-categories li.cat-parent .subDropdown').on('click', function (e) {
            $(this).toggleClass('active');
            $(this).next('.children').slideToggle();
        });

        $('.nt-sidebar-widget-body a').on('click', function (e) {
            $(this).prev().toggleClass('active');
        });

        $('.nt-sidebar-inner-widget-title').on('click', function() {
            var $this = $(this);
            $this.parents('.nt-sidebar-inner-widget').toggleClass('active');
            $this.next().slideToggle();
        });

        $( '.ninetheme-add-to-cart-btn .ajax_add_to_cart' ).on('click', function() {
            $(this).parent().addClass('added');
            $(this).parents( '.ninetheme-type-product' ).find('.ninetheme-thumb-wrapper').addClass('btn-ajax-start loading');
        });

    }

    function ninethemeDealsCountDown() {
        $('[data-countdown]').each(function () {
            var $this     = $(this),
                data      = $this.data('countdown'),
                finalDate = data.date,
                hr        = data.hr,
                min       = data.min,
                sec       = data.sec;
            $this.countdown(finalDate, function (event) {
                $this.html(event.strftime('<div class="time-count day"><span>%D</span>Day</div><div class="time-count hour"><span>%H</span>'+hr+'</div><div class="time-count min"><span>%M</span>'+min+'</div><div class="time-count sec"><span>%S</span>'+sec+'</div>'));
            });
        });
    }

    function ninethemeSidebarAddRemoveFilter() {
        $('.nt-sidebar-inner .woocommerce-widget-layered-nav-list__item.chosen a').each(function() {
            $(this).prepend('<span class="remove-filter"></span>');
        });
    }

    $doc.on('ninethemeShopInit', function() {
        ninethemeAfterRender();
        sortOrder();
        perPage();
        ninethemeSidebarAddRemoveFilter();
        buttonsActions();
        priceSlider();
        ninethemeDealsCountDown();

        $('.row-infinite').hide();

        $('.ninetheme-products-wrapper .variations_form').each(function () {
            $(this).wc_variation_form();
        });

        if ( ( typeof wishlist_vars != 'undefined' ) && wishlist_vars.products ) {
            var ids = wishlist_vars.products;
            for (let i = 0; i < ids.length; i++) {
              $('.ninetheme-wishlist-btn[data-id="'+ids[i]+'"]').addClass('added');
            }
        }
        if ( ( typeof compare_vars != 'undefined' ) && compare_vars.products ) {
            var ids = compare_vars.products;
            for (let i = 0; i < ids.length; i++) {
              $('.ninetheme-compare-btn[data-id="'+ids[i]+'"]').addClass('added');
            }
        }

        $('.ninetheme-loop-product-more-details-trigger').on('click', function (e) {
            $(this).parents('.ninetheme-type-product').toggleClass('details-open');
        });
    });

    $doc.ready(function() {
        ninethemeAfterRender();
        sortOrder();
        perPage();
        ajaxHandler();
        ninethemeSidebarAddRemoveFilter();
        var chosenFilters = $( '.nt-sidebar .ninetheme-choosen-filters' ).html();

        if ( chosenFilters != undefined || typeof chosenFilters != 'undefined' ) {
            $('.ninetheme-choosen-filters-row').addClass('filters-active').html(chosenFilters);
        }

        if ( $('.ninetheme-filter-columns').length ) {
            $('.ninetheme-filter-columns li').on('click', function (e) {
                var col = $(this).data('column');
                $(this).addClass('active').siblings().removeClass('active');
                $('.ninetheme-products').removeAttr('class').addClass('ninetheme-products row '+col);
            });
        }
        if ( $('.ninetheme-per-page-item').length ) {
            $('.ninetheme-per-page-item').on('click', function (e) {
                $(this).addClass('active').siblings().removeClass('active');
            });
        }
    });

})(jQuery);
