jQuery(document).ready(function($) {

    /*-- Strict mode enabled --*/
    'use strict';

    var scrollOffset = $('.ninetheme-header-default').height();

    if ( $('body').hasClass('admin-bar') ) {
        scrollOffset = scrollOffset + 32;
    }

    var scrollToTopSidebar = function() {
        var shopP = 30;

        if ( $('body').hasClass('admin-bar') ) {
            shopP = 32;
        }

        $('html, body').stop().animate({
            scrollTop: $('.shop-area').offset().top - shopP
        }, 400);
    };

    $('.ninetheme-open-fixed-sidebar,.ninetheme-close-sidebar').on('click', function () {
        $('body').toggleClass('ninetheme-overlay-open');
        $('.ninetheme-shop-fixed-sidebar').toggleClass('active');
    });


    $('.ninetheme-toggle-hidden-sidebar').on('click', function (e) {

        $('.ninetheme-toggle-hidden-sidebar').toggleClass('active');
        $('.nt-sidebar.ninetheme-shop-hidden-top-sidebar').toggleClass('active').slideToggle();

        setTimeout(function(){
            scrollToTopSidebar();
        }, 100 );
    });

    $(document.body).on('update_checkout', function(){
        updateShippingButtonClick();
    });

    if ( $('.woocommerce-product-gallery__trigger').length>0 ) {
        var topPos = $('.flex-viewport').position();
        $('.woocommerce-product-gallery__trigger').appendTo('.flex-viewport');
    }

    // cart shipping form show-hide
    function updateShippingButtonClick() {
        $('.ninetheme-shipping-calculator-button').on('click', function (e) {
            var cartTotals = $('.ninetheme-cart-totals'),
                form = $('.shipping-calculator-form');

            if ( cartTotals.hasClass('active')) {
                cartTotals.removeClass('active');
                form.slideUp('slow');
            } else {
                cartTotals.addClass('active');
                form.slideDown('slow');
                setTimeout(function(){
                    $('html, body').stop().animate({
                        scrollTop: cartTotals.offset().top - scrollOffset
                    }, 400);
                }, 300 );
            }
        });
    }
    updateShippingButtonClick();

    $('.nt-sidebar ul.product-categories li.cat-parent> ul.children').each( function (e) {
        $(this).slideUp();
    });

    ninethemeWcProductCats();
    function ninethemeWcProductCats() {
        $('.widget_ninetheme_product_categories ul.children input[checked]').closest('li.cat-parent').addClass("current-cat");

        $('body').off('click', '.subDropdown').on('click', '.subDropdown', function () {
            $(this).toggleClass("pluss"),
            $(this).toggleClass("minuss"),
            $(this).parent().find("ul").slideToggle();
        });
    }

    $('.nt-sidebar ul.product-categories li.cat-parent .subDropdown').on('click', function (e) {
        $(this).toggleClass('active');
        $(this).next('.children').slideToggle('slow');
    });


    if ( $(window).width() <= 1280 && $(".ninetheme-bottom-mobile-nav").length ) {
        $("body").addClass('has-bottom-fixed-menu');
    }

    if ( $('[data-fancybox="gallery"]').length > 0 ) {
        Fancybox.bind('[data-fancybox="gallery"]', {
            showClass : 'fancybox-zoomInUp',
            hideClass : 'fancybox-zoomOutDown',
            animated  : true,
            groupAll  : true
        });
    }

    if ( $(".ninetheme-product-stock-progressbar").length ) {
        var percent = $(".ninetheme-product-stock-progressbar").data('stock-percent');
        $(".ninetheme-product-stock-progressbar").css('width',percent);
    }

    $(document).on('ready', function(e){
        if (typeof ninetheme.Swatches !== 'undefined') {
            $('.products-wrapper .variations_form').each(function () {
                $(this).wc_variation_form();
            });
        }
    });

    $('body').on('submit', 'form.cart', function(e) {

        if ( $(this).parents('.product').hasClass('product-type-external') || $(e.originalEvent.submitter).hasClass('ninetheme-btn-buynow') ) {
            return;
        }

        e.preventDefault();

        var form  = $(this),
            btn   = form.find('.ninetheme-btn.single_add_to_cart_button'),
            title = btn.text(),
            added = btn.data('added-title');

        btn.addClass('loading');

        var formData = new FormData(form[0]);
        formData.append('add-to-cart', form.find('[name=add-to-cart]').val() );

        if ( !$('.ninetheme-side-panel').hasClass('disable-auto-open') ) {
            setTimeout(function() {
                $('html,body').addClass('ninetheme-overlay-open');
                $('.panel-header-actions .active,.panel-content .active').removeClass('active');
            }, 200);
            setTimeout(function() {
                $('.ninetheme-side-panel').addClass('active');
            }, 300);
            setTimeout(function() {
                $('.panel-content .cart-area').addClass('active cart-item-loading');
            }, 400);
        }

        // Ajax action.
        $.ajax({
            url: wc_add_to_cart_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'ninetheme_ajax_add_to_cart' ),
            data: formData,
            type: 'POST',
            processData: false,
            contentType: false,
            complete: function( response ) {
                response = response.responseJSON;

                // Redirect to cart option
                if ( wc_add_to_cart_params.cart_redirect_after_add === 'yes' ) {
                    window.location = wc_add_to_cart_params.cart_url;
                    return;
                }

                if ( ! response ) {
                    return;
                }

                if ( response.error && response.product_url ) {
                    window.location = response.product_url;
                    return;
                }

                var $thisbutton = form.find('.single_add_to_cart_button'); //
                var $thisbutton = null; // uncomment this if you don't want the 'View cart' button

                // Trigger event so themes can refresh other areas.
                $( document.body ).trigger( 'added_to_cart', [ response.fragments, response.cart_hash, $thisbutton ] );

                btn.removeClass('loading');

                if ( $('.ninetheme-shop-popup-notices .woocommerce-error').length ) {
                    $('.ninetheme-shop-popup-notices').addClass('ninetheme-notices-has-error');
                }
                // Add new notices
                $('.ninetheme-shop-popup-notices').html(response.fragments.notices_html).addClass('active');

                setTimeout(function() {
                    if ( !$('.ninetheme-shop-popup-notices .woocommerce-error').length ) {
                        $('.ninetheme-shop-popup-notices').removeClass('active');
                    }
                }, 2000);
            }
        });
    });

    $('body').on('click', '.ninetheme-btn-buynow', function() {
        if ($(this).parents('form.cart').length) {
            return;
        }
        $('form.cart').find('.ninetheme-btn-buynow').trigger('click');
    });

    // product selected-variations-terms
    if ( $('.ninetheme-selected-variations-terms-wrapper').length > 0 ) {
        $('.variations_form').on('change', function() {
            var $this = $(this);
            var selectedterms = '';
            $this.find('.ninetheme-variations-items select').each(function(){
                var title = $(this).parents('.ninetheme-variations-items').find('.ninetheme-small-title').text();
                var val = $(this).val();
                if (val) {
                    selectedterms += '<span class="selected-features"><span class="selected-label">'+title+': </span><span class="selected-value">'+val+'</span></span>';
                }
            });
            if (selectedterms){
                $('.ninetheme-selected-variations-terms-wrapper').slideDown().find('.ninetheme-selected-variations-terms').html(selectedterms);
            }
        });
        $('.ninetheme-btn-reset.reset_variations').on('click', function() {
            $('.ninetheme-selected-variations-terms-wrapper').slideUp();
        });
    }

    // quick shop start

    ninethemeQuickShopPopup();

    $(document.body).on('ninetheme_quick_shop', function(){
        ninethemeQuickShopPopup();
    });

    $(document.body).on('wc_fragment_refresh', function(){
        ninethemeQuickShopPopup();
    });

    function ninethemeQuickShopPopup(){

        if ( typeof ninetheme_vars !== 'undefined' && ninetheme_vars.shop.quick_shop != 'yes' ) {
            return;
        }

       $( 'body' ).on('click touch', '.ninetheme-quick-shop-btn', function(event) {
            event.preventDefault();

            var $this = $(this),
                id    = $this.data('product_id');

            jQuery.magnificPopup.open({
                items           : {
                    src : ninetheme_vars.ajax_url + '?product_id=' + id
                },
                mainClass       : 'mfp-ninetheme-quickshop ninetheme-mfp-slide-bottom',
                removalDelay    : 160,
                overflowY       : 'scroll',
                fixedContentPos : false,
                closeBtnInside  : true,
                tClose          : '',
                closeMarkup     : '<div class="mfp-close ninetheme-panel-close-button"></div>',
                tLoading        : '<span class="loading-wrapper"><span class="ajax-loading"></span></span>',
                type            : 'ajax',
                ajax            : {
                    settings : {
                        type : 'GET',
                        data : {
                            action : 'ninetheme_ajax_quick_shop'
                        }
                    }
                },
                callbacks       : {
                    beforeOpen  : function() {},
                    open        : function() {
                        $('.mfp-preloader').addClass('loading');
                        $('body').addClass('magnificpopupnoscroll');
                    },
                    ajaxContentAdded: function() {
                        $('.mfp-preloader').removeClass('loading');

                        var variations_form = $('.ninetheme-quickshop-form-wrapper').find('form.cart');

                        variations_form.each( function() {
                            $(this).wc_variation_form().find('.variations select:eq(0)').change();
                            variations_form.trigger('wc_variation_form');
                        });

                        if ( $('.woocommerce-grouped-product-list').length>0 || variations_form.length>0 ) {
                            $(document.body).trigger('ninetheme_on_qtybtn');
                        }

                        $('body').on('submit', 'form.cart', function(e) {

                            if ( $(this).hasClass('.product-type-external') || $(e.originalEvent.submitter).hasClass('ninetheme-btn-buynow') ) {
                                return;
                            }

                            e.preventDefault();

                            var form    = $(this),
                                btn     = form.find('.ninetheme-btn.single_add_to_cart_button'),
                                title   = btn.find('.button-title').text(),
                                added   = btn.data('added-title'),
                                data    = form.serialize();

                                data   += '&action=ninetheme_quick_shop_ajax_add_to_cart';

                            if ( btn.val() ) {
                                data += '&add-to-cart=' + btn.val();
                            }

                            btn.addClass('loading');
                            $('.ninetheme-quickshop-notices-wrapper').removeClass('active');
                            $('.ninetheme-quickshop-notices-wrapper').empty().removeAttr('style');

                            $.ajax({
                                url     : ninetheme_vars.ajax_url,
                                data    : data,
                                method  : 'POST',
                                success : function( response ) {

                                    if ( ! response ) {
                                        return;
                                    }

                                    // Redirect to cart option
                                    if ( wc_add_to_cart_params.cart_redirect_after_add === 'yes' ) {
                                        window.location = wc_add_to_cart_params.cart_url;
                                        return;
                                    }

                                    if ( response.error && response.product_url ) {
                                        window.location = response.product_url;
                                        return;
                                    }

                                    var $thisButton = form.find('.single_add_to_cart_button');
                                    var $thisButton = null; // uncomment this if you don't want the 'View cart' button
                                    var notices = $('.ninetheme-quickshop-notices');
                                    var noticeshtml = response.fragments.notices_html;

                                    btn.removeClass('loading');
                                     $( document.body ).trigger( 'added_to_cart', [ response.fragments, response.cart_hash, $thisButton ] );
                                    // Add new notices
                                    $('.ninetheme-quickshop-notices').html(noticeshtml);

                                    if ( $('.ninetheme-quickshop-notices .woocommerce-error').length ) {
                                        setTimeout(function(){
                                            notices.slideDown();
                                            $('.ninetheme-quickshop-buttons-wrapper').slideDown();
                                        }, 100 );
                                    }

                                    $('.ninetheme-quickshop-notices .close-error').on('click touch', function(e) {
                                        notices.slideUp().removeClass('active');
                                    });

                                    $('.ninetheme-quickshop-wrapper').addClass('added');

                                    $('.ninetheme-quickshop-wrapper .ninetheme-btn-reset,.ninetheme-quickshop-wrapper .plus,.ninetheme-quickshop-wrapper .minus').on('click touch', function(event) {
                                        $('.ninetheme-quickshop-notices').slideUp();
                                        setTimeout(function(){
                                            notices.empty().removeAttr('style');
                                        }, 500 );
                                        btn.find('.button-title').html(title);
                                    });

                                    if ( $('.ninetheme-quickshop-notices .woocommerce-message').length ) {
                                        btn.find('.button-title').html(added);

                                        setTimeout(function(){
                                            if ( !$('.ninetheme-quickshop-notices').hasClass('active') ) {
                                                notices.slideDown().addClass('active');
                                            }
                                        }, 500 );

                                        setTimeout(function(){
                                            if ( !$('.ninetheme-quickshop-buttons-wrapper').hasClass('active') ) {
                                                $('.ninetheme-quickshop-buttons-wrapper').slideDown().addClass('active');
                                            }
                                        }, 500 );

                                        $('.ninetheme-quickshop-buttons-wrapper .ninetheme-btn').on('click touch', function(e) {
                                            if ( $(this).hasClass('open-cart-panel') ) {
                                                $('html,body').addClass('ninetheme-overlay-open');
                                                $('.ninetheme-side-panel .active').removeClass('active');
                                                $('.ninetheme-side-panel').addClass('active');
                                                $('.cart-area').addClass('active');
                                            }
                                            if ( $(this).hasClass('open-checkout-panel') ) {
                                                $('html,body').addClass('ninetheme-overlay-open');

                                                $('.ninetheme-side-panel .active').removeClass('active');
                                                $('.ninetheme-side-panel').addClass('active');
                                                $('.cart-area').addClass('active');
                                                $('.ninetheme-side-panel .ninetheme-header-cart-details div[data-name="checkout"]').trigger('click');
                                            }
                                            $.magnificPopup.close();
                                        });
                                    }
                                }
                            });
                        });

                        $('body').on('click', '.ninetheme-btn-buynow', function() {
                            if ($(this).parents('form.cart').length) {
                                return;
                            }
                            $('form.cart').find('.ninetheme-btn-buynow').trigger('click');
                        });
                    },
                    beforeClose : function() {},
                    close : function() {
                        $('body').removeClass('magnificpopupnoscroll');
                    },
                    afterClose : function() {}
                }
            });
        });
    }
    // quick shop end

    shopCatsSlider();

    $(document).on('ninethemeShopInit', function() {
        shopCatsSlider();
        ninethemeWcProductCats();
        ninethemeQuickShopPopup();
    });

    $('.ninetheme-shop-popup-notices .ninetheme-panel-close-button, .ninetheme-shop-popup-notices .close-error').on('click', function() {
        $('.ninetheme-shop-popup-notices').removeClass('active');
        setTimeout(function(){
            $('.ninetheme-shop-popup-notices').removeClass('ninetheme-notices-has-error');
        }, 1000 );
    });

    $(document.body).on('click','.ninetheme-shop-popup-notices .close-error', function() {
        $('.ninetheme-shop-popup-notices').removeClass('active');
    });

    function shopCatsSlider() {

        var product_cats = $('.ninetheme-products .slick-slide.product-category');

        if ( product_cats.length ) {
            product_cats.each(function (i, el) {
                $(this).appendTo('.shop-slider-categories .slick-slider');
            });
            var myContainer = $('.shop-slider-categories');
            var mySlick = $('.slick-slider', myContainer);
            mySlick.not('.slick-initialized').slick({
                autoplay: false,
                slidesToShow: 6,
                speed: 500,
                focusOnSelect: true,
                infinite: false,
                prevArrow: '.slide-prev-cats',
                nextArrow: '.slide-next-cats',
                responsive: [
                    {
                        breakpoint: 576,
                        settings: {
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 4
                        }
                    },
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 5
                        }
                    },
                    {
                        breakpoint: 1200,
                        settings: {
                            slidesToShow: 6
                        }
                    }
                ]
            });
        }
        if ( product_cats.length ) {
            var mySlick = $('.ninetheme-page-hero-content .ninetheme-wc-category-list');
            mySlick.not('.slick-initialized').slick({
                autoplay: false,
                slidesToShow: 8,
                speed: 500,
                focusOnSelect: true,
                infinite: false,
                prevArrow: '.slide-prev-cats',
                nextArrow: '.slide-next-cats',
                responsive: [
                    {
                        breakpoint: 576,
                        settings: {
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 4
                        }
                    },
                    {
                        breakpoint: 992,
                        settings: {
                            slidesToShow: 5
                        }
                    },
                    {
                        breakpoint: 1200,
                        settings: {
                            slidesToShow: 6
                        }
                    }
                ]
            });
        }
    }


    var viewingItem = $('.ninetheme-product-view'),
        data        = viewingItem.data('product-view'),
        countView   = viewingItem.find('.ninetheme-view-count'),
        current     = 0,
        change_counter;

    function singleProductFakeView() {

        if ( viewingItem.length ) {
            var min    = data.min,
                max    = data.max,
                delay  = data.delay,
                change = data.change,
                id     = data.id;

            if ( !viewingItem.hasClass( 'inited' ) ) {
                if ( typeof change !== 'undefined' && change ) {
                    clearInterval( change );
                }

                current = $.cookie( 'ninetheme_cpv_' + id );

                if ( typeof current === 'undefined' || !current ) {
                    current = Math.floor(Math.random() * max) + min;
                }

                viewingItem.addClass('inited');

                $.cookie('ninetheme_cpv_' + id, current, { expires: 1 / 24, path: '/'} );

                countView.html( current );

            }

            change_counter = setInterval( function() {
                current    = parseInt( countView.text() );

                if ( !current ) {
                    current = min;
                }

                var pm = Math.floor( Math.random() * 2 );
                var others = Math.floor( Math.random() * change + 1 );
                current = ( pm < 1 && current > others ) ? current - others : current + others;
                $.cookie('ninetheme_cpv_' + id, current, { expires: 1 / 24, path: '/'} );

                countView.html( current );

            }, delay);
        }
    }

    singleProductFakeView();

    /**
    * scrollToTop
    */
    function scrollToTop(target,delay,timeout) {
        setTimeout(function(){
            $('html, body').stop().animate({
                scrollTop: target.offset().top - scrollOffset
            }, delay);
        }, timeout );
    }

    if ( $('.ninetheme-product-gallery-main-slider-carousel').length ) {
        var galleryOptionsFull       = $('.ninetheme-product-gallery-main-slider-carousel').data('swiper-options');
            galleryOptionsFull["on"] = {
            beforeInit: function(swiper){},
            afterInit: function(swiper){},
            resize: function(swiper){
                swiper.update();
            }
        };
        var galleryMainFull     = new NTSwiper( '.ninetheme-product-gallery-main-slider-carousel', galleryOptionsFull );

        var $oMainImgFull       = $('.ninetheme-product-gallery-main-slider-carousel .ninetheme-swiper-slide-first img'),
            $oZoomSrc           = $('.ninetheme-product-gallery-main-slider-carousel .ninetheme-swiper-slide-first').data('zoom-img'),
            $oMainSrcFull       = $oMainImgFull.data('src'),
            $oMainSrcSetFull    = $oMainImgFull.data('srcset'),
            $oMainSrcSizesFull  = $oMainImgFull.data('sizes');

        $( document ).on('change','.ninetheme-product-summary .variations_form select', function( e ) {
            var $thisFull      = $(this),
                $formFull      = $thisFull.parents('.variations_form'),
                variationsFull = $formFull.data('product_variations'),
                $oZoomImgFull  = $('.ninetheme-product-gallery-main-slider-carousel .ninetheme-swiper-slide-first img.zoomImg'),
                galleryFull    = $('.ninetheme-product-gallery-main-slider-carousel');

            setTimeout( function() {
                var current_id = $formFull.attr('current-image'),
                    full_src,
                    imageFull,
                    timageFull,
                    srcFull,
                    srcsetFull,
                    sizesFull;

                $.map(variationsFull, function(elementOfArray, indexInArray) {
                    if (elementOfArray.image_id == current_id) {
                        imageFull  = elementOfArray.image;
                        full_src   = imageFull.full_src;
                        srcFull    = imageFull.src;
                        srcsetFull = imageFull.srcset;
                        sizesFull  = imageFull.sizes;
                    }
                });

                if ( current_id ) {
                    $oMainImgFull.attr('src',srcFull);
                    $oMainImgFull.attr('data-src',srcFull);
                    $oZoomImgFull.attr('src',full_src);
                    if ( srcsetFull ) {
                        $oMainImgFull.attr('srcset',srcsetFull);
                    }
                    if ( sizesFull ) {
                        $oMainImgFull.attr('sizes',sizesFull);
                    }

                    setTimeout( function() {
                        if ( !$oMainImgFull.hasClass('swiper-slide-active') ) {
                            $('.ninetheme-product-gallery-main-slider-carousel .swiper-pagination .swiper-pagination-bullet:first').trigger('click');
                        }
                        initZoomFull('reinit',full_src);
                    }, 100, $oMainImgFull,galleryMainFull );

                    scrollToTop(galleryFull,300,300);
                }
            }, 50 );

        });

        $( document ).on('click','.ninetheme-product-summary .reset_variations', function( e ) {
            var $formFull     = $(this).parents('.variations_form'),
                galleryFull   = $('.ninetheme-product-gallery-main-slider-carousel'),
                $oZoomImgFull = $('.ninetheme-product-gallery-main-slider-carousel .ninetheme-swiper-slide-first img.zoomImg');

            $oMainImgFull.attr('src',$oMainSrcFull);
            $oMainImgFull.attr('data-src',$oMainSrcFull);
            $oZoomImgFull.attr('src',$oZoomSrc);
            if ( $oMainSrcSetFull ) {
                $oMainImgFull.attr('srcset',$oMainSrcSetFull);
            }
            if ( $oMainSrcSizesFull ) {
                $oMainImgFull.attr('sizes',$oMainSrcSizesFull);
            }

            setTimeout( function() {
                if ( !$oMainImgFull.hasClass('swiper-slide-active') ) {
                    $('.ninetheme-product-gallery-main-slider-carousel .swiper-pagination .swiper-pagination-bullet:first').trigger('click');
                }
                initZoomFull('reinit',$oZoomSrc);
            }, 100, $oMainImgFull,galleryMainFull );

            scrollToTop(galleryFull,400,300);

        });

        initZoomFull('load');

        /**
        * Init zoom.
        */
        function initZoomFull($action,$url) {
            if ( 'function' !== typeof $.fn.zoom && !wc_single_product_params.zoom_enabled ) {
                return false;
            }

            var galleryWidthFull = $('.ninetheme-product-gallery-main-slider-carousel .swiper-slide').width(),
                zoomEnabled  = false,
                zoom_options = {
                    touch: false
                };

            if ( 'ontouchstart' in document.documentElement ) {
                zoom_options.on = 'click';
            }

            $('.ninetheme-product-gallery-main-slider-carousel .swiper-slide img').each( function( index, target ) {
                var imageFull = $( target );
                var imageIndex = imageFull.parents('.swiper-slide').data('swiper-slide-index');

                if ( imageFull.attr( 'width' ) > galleryWidthFull ) {
                    if ( $action == 'load' ) {

                        zoom_options.url = imageFull.parent().data('zoom-img');
                        imageFull.wrap('<span class="ninetheme-zoom-wrapper" style="display:inline-block"></span>')
                          .css('display', 'block')
                          .parent()
                          .zoom(zoom_options);
                    } else {
                        imageFull.trigger('zoom.destroy').unwrap();
                        zoom_options.url = imageIndex == 0 ? $url : imageFull.parent().data('zoom-img');
                        imageFull.wrap('<span class="ninetheme-zoom-wrapper" style="display:inline-block"></span>')
                          .css('display', 'block')
                          .parent()
                          .zoom(zoom_options);
                    }
                }
            });
        }
    }

    ninethemeProductGalleryInit();

    function ninethemeProductGalleryInit() {
        if ( $('.ninetheme-product-gallery-main-slider').length ) {
            var thumbsOptions  = $('.ninetheme-product-thumbnails').data('swiper-options');
            var galleryThumbs  = new NTSwiper( '.ninetheme-product-thumbnails', thumbsOptions );

            galleryThumbs.on('resize', function(swiper){
                swiper.update();
            });

            var galleryOptions       = $('.ninetheme-product-gallery-main-slider').data('swiper-options');
            galleryOptions["thumbs"] = {swiper: galleryThumbs};
            galleryOptions["on"]     = {
                transitionEnd : function ( swiper ) {
                    var  active = swiper.realIndex;

                    $( '.ninetheme-product-gallery-main-slider .swiper-slide:not(.swiper-slide-active)' ).each(function () {

                        var iframe = $( this ).find('iframe');

                        if ( iframe.size() ) {
                            iframe[0].contentWindow.postMessage('{"event":"command","func":"' + 'pauseVideo' + '","args":""}', '*');
                        }
                    });

                    $( '.ninetheme-product-gallery-main-slider .swiper-slide-active' ).each(function () {

                        var iframe2 = $( this ).find('iframe');
                        if ( iframe2.size() ) {
                            iframe2[0].contentWindow.postMessage('{"event":"command","func":"' + 'playVideo' + '","args":""}', '*');
                        }
                    });
                },
                beforeInit: function(swiper){},
                afterInit: function(swiper){},
                observerUpdate: function(swiper){},
                resize: function(swiper){}
            };
            var galleryMain = new NTSwiper( '.ninetheme-product-gallery-main-slider', galleryOptions );

            var heightFirstImage = $('.ninetheme-product-thumbnails .ninetheme-swiper-slide-first img').height();
            $('.ninetheme-slide-video-item-icon').css('height', $('.ninetheme-slide-video-item-icon').data('height'));

            var $oMainImg       = $('.ninetheme-product-gallery-main-slider .ninetheme-swiper-slide-first img'),
                $oZoomSrc       = $('.ninetheme-product-gallery-main-slider .ninetheme-swiper-slide-first').data('zoom-img'),
                $oMainSrc       = $oMainImg.data('src'),
                $oMainSrcSet    = $oMainImg.data('srcset'),
                $oMainSrcSizes  = $oMainImg.data('sizes'),
                $oThumbImg      = $('.ninetheme-product-thumbnails .ninetheme-swiper-slide-first img'),
                $oThumbSrc      = $oThumbImg.data('src'),
                $oThumbSrcSet   = $oThumbImg.data('srcset'),
                $oThumbSrcSizes = $oThumbImg.data('sizes');

            $( document ).on('change','.ninetheme-product-summary .variations_form select', function( e ) {
                var $this      = $(this),
                    $form      = $this.parents('.variations_form'),
                    variations = $form.data('product_variations'),
                    $oZoomImg  = $('.ninetheme-product-gallery-main-slider .ninetheme-swiper-slide-first img.zoomImg'),
                    gallery    = $('.ninetheme-product-gallery-main-slider');

                setTimeout( function() {
                    var current_id = $form.attr('current-image'),
                        image,
                        timage,
                        full_src,
                        src,
                        srcset,
                        sizes,
                        tsrc,
                        tsrcset,
                        tsizes;

                    $.map(variations, function(elementOfArray, indexInArray) {
                        if (elementOfArray.image_id == current_id) {
                            image   = elementOfArray.image;
                            src     = image.src;
                            full_src= image.full_src;
                            srcset  = image.srcset;
                            sizes   = image.sizes;
                        }
                    });
                    $.map(variations, function(elementOfArray, indexInArray) {
                        if (elementOfArray.image_id == current_id) {
                            timage  = elementOfArray.image;
                            tsrc    = timage.src;
                            tsrcset = timage.srcset;
                            tsizes  = timage.sizes;
                        }
                    });
                    if ( current_id ) {
                        $oMainImg.attr('src',src);
                        $oMainImg.attr('data-src',src);
                        $oZoomImg.attr('src',full_src);
                        if ( srcset ) {
                            $oMainImg.attr('srcset',srcset);
                        }
                        if ( sizes ) {
                            $oMainImg.attr('sizes',sizes);
                        }
                        $oThumbImg.attr('src',tsrc);
                        if ( tsrcset ) {
                            $oThumbImg.attr('srcset',tsrcset);
                        }
                        if ( tsizes ) {
                            $oThumbImg.attr('sizes',tsizes);
                        }

                        setTimeout( function() {
                            if ( !$oMainImg.hasClass('swiper-slide-active') ) {
                                galleryMain.slideTo(0);
                                galleryThumbs.slideTo(0);
                            }
                            galleryMain.update();
                            galleryMain.updateAutoHeight(10);
                            galleryThumbs.update();
                            initZoom('reinit',full_src);
                        }, 100 );

                        scrollToTop(gallery,300,300);
                    }
                }, 50 );
            });

            $( document ).on('click','.ninetheme-product-summary .reset_variations', function( e ) {
                var $form     = $(this).parents('.variations_form'),
                    gallery   = $('.ninetheme-product-gallery-main-slider'),
                    $oZoomImg = $('.ninetheme-product-gallery-main-slider .ninetheme-swiper-slide-first img.zoomImg');

                $oMainImg.attr('src',$oMainSrc);
                $oMainImg.attr('data-src',$oMainSrc);
                $oZoomImg.attr('src',$oZoomSrc);
                if ( $oMainSrcSet ) {
                    $oMainImg.attr('srcset',$oMainSrcSet);
                }
                if ( $oMainSrcSizes ) {
                    $oMainImg.attr('sizes',$oMainSrcSizes);
                }

                $oThumbImg.attr('src',$oThumbSrc);
                if ( $oThumbSrcSet ) {
                    $oThumbImg.attr('srcset',$oThumbSrcSet);
                }
                if ( $oThumbSrcSizes ) {
                    $oThumbImg.attr('sizes',$oThumbSrcSizes);
                }

                setTimeout( function() {
                    if ( !$oMainImg.hasClass('swiper-slide-active') ) {
                        galleryMain.slideTo(0);
                        galleryThumbs.slideTo(0);
                    }
                    galleryMain.update();
                    galleryMain.updateAutoHeight(10);
                    galleryThumbs.update();
                    initZoom('reinit',$oZoomSrc);
                }, 100 );

                scrollToTop(gallery,400,300);

            });

            initZoom('load');

            /**
            * Init zoom.
            */
            function initZoom($action,$url) {
                if ( 'function' !== typeof $.fn.zoom && !wc_single_product_params.zoom_enabled ) {
                    return false;
                }

                var galleryWidth = $('.ninetheme-product-gallery-main-slider .swiper-slide').width(),
                    zoomEnabled  = false,
                    zoom_options = {
                        touch: false
                    };

                if ( 'ontouchstart' in document.documentElement ) {
                    zoom_options.on = 'click';
                }

                $('.ninetheme-product-gallery-main-slider .swiper-slide img').each( function( index, target ) {
                    var image = $( target );
                    var imageIndex = image.parents('.swiper-slide');

                    if ( image.attr( 'width' ) > galleryWidth ) {
                        if ( $action == 'load' ) {
                            zoom_options.url = image.parent().data('zoom-img');
                            image.wrap('<span class="ninetheme-zoom-wrapper" style="display:block"></span>')
                              .css('display', 'block')
                              .parent()
                              .zoom(zoom_options);
                        } else {
                            image.trigger('zoom.destroy').unwrap();
                            zoom_options.url = imageIndex.hasClass('ninetheme-swiper-slide-first') ? $url : image.parent().data('zoom-img');
                            image.wrap('<span class="ninetheme-zoom-wrapper" style="display:block"></span>')
                              .css('display', 'block')
                              .parent()
                              .zoom(zoom_options);
                        }
                    }
                });
            }
        }
    }

    /**
    * singleGalleryGridVariations
    */
    singleGalleryGridVariations();
    function singleGalleryGridVariations() {
        if ( !$('.ninetheme-product-main-gallery-grid .ninetheme-gallery-grid-item-first img').length ) {
            return;
        }
        var $oMainImg      = $('.ninetheme-product-main-gallery-grid .ninetheme-gallery-grid-item-first img'),
            $oMainSrc      = $oMainImg.data('src'),
            $oMainSrcSet   = $oMainImg.data('srcset'),
            $oMainSrcSizes = $oMainImg.data('sizes'),
            gallery        = $('.ninetheme-product-main-gallery-grid');

        $( document ).on('change','.ninetheme-product-summary .variations_form select', function( e ) {
            var $this      = $(this),
                $form      = $this.parents('.variations_form'),
                variations = $form.data('product_variations');

            setTimeout( function() {
                var current_id = $form.attr('current-image'),
                    image,
                    src,
                    srcset,
                    sizes;

                $.map(variations, function(elementOfArray, indexInArray) {
                    if ( elementOfArray.image_id == current_id ) {
                        image  = elementOfArray.image;
                        src    = image.src;
                        srcset = image.srcset;
                        sizes  = image.sizes;
                    }
                });
                if ( current_id ) {
                    $oMainImg.attr('src',src);
                    $oMainImg.attr('data-src',src);
                    if ( srcset ) {
                        $oMainImg.attr('srcset',srcset);
                    }
                    if ( sizes ) {
                        $oMainImg.attr('sizes',sizes);
                    }

                    scrollToTop(gallery,300,300);
                }
            }, 50 );

        });

        $( document ).on('click','.ninetheme-product-summary .reset_variations', function( e ) {
            var $form   = $(this).parents('.variations_form'),
                gallery = $('.ninetheme-product-main-gallery-grid');

            $oMainImg.attr('src',$oMainSrc);
            $oMainImg.attr('data-src',$oMainSrc);

            if ( $oMainSrcSet ) {
                $oMainImg.attr('srcset',$oMainSrcSet);
            }
            if ( $oMainSrcSizes ) {
                $oMainImg.attr('sizes',$oMainSrcSizes);
            }

            scrollToTop(gallery,400,300);
        });
    }

    /**
    * multiStepCheckout
    */
    multiStepCheckout();
    function multiStepCheckout() {
        var $body             = $('body'),
            login             = $('.ninetheme-woocommerce-checkout-login'),
            billing           = $('.ninetheme-customer-billing-details'),
            shipping          = $('.ninetheme-customer-shipping-details'),
            order             = $('.ninetheme-order-review'),
            payment           = $('.ninetheme-payment'),
            form_actions      = $('.ninetheme-form-actions'),
            coupon            = $('.ninetheme-checkout-coupon'),
            timeline          = $(),
            steps             = new Array(login, billing, shipping, order, payment),
            is_user_logged_in = $body.hasClass('logged-in');

        $body.on( 'updated_checkout ninetheme_multistep_myaccount_order_pay', function(e) {
            steps[4] = $('#payment');
            if(e.type == 'updated_checkout' ) {
                steps[4] = $('#payment');
            }
            $('#payment').find( 'input[name=payment_method]' ).on( 'click', function() {
                if ($('.payment_methods input.input-radio').length > 1) {
                    var target_payment_box = $('div.payment_box.' + $(this).attr('ID'));
                    if ($(this).is(':checked') && !target_payment_box.is(':visible')) {
                        $('div.payment_box').filter(':visible').slideUp(250);

                        if ($(this).is(':checked')) {
                            $('div.payment_box.' + $(this).attr('ID')).slideDown(250);
                        }
                    }
                } else {
                    $('div.payment_box').show();
                }

                if ($(this).data('order_button_text')) {
                    $('#place_order').val($(this).data('order_button_text'));
                } else {
                    $('#place_order').val($('#place_order').data('value'));
                }
            });
        } );

        if ($body.hasClass('woocommerce-order-pay')) {
            $body.trigger('ninetheme_multistep_myaccount_order_pay');
        }

        $body.on('ninetheme_multistep_select2', function (event) {
            if ($().select2) {
                var wc_country_select_select2 = function () {
                    $('select.country_select, select.state_select').each(function () {
                        var select2_args = {
                            placeholder      : $(this).attr('placeholder'),
                            placeholderOption: 'first',
                            width            : '100%'
                        };

                        $(this).select2(select2_args);
                    });
                };

                wc_country_select_select2();

                $body.bind('country_to_state_changed', function () {
                    wc_country_select_select2();
                });
            }
        });

        $body.trigger('ninetheme_multistep_select2');

        if ( $('.ninetheme-checkout-content').length ) {

            var checkoutMultiSteps = new NTSwiper('.ninetheme-checkout-content', {
                loop          : false,
                speed         : 500,
                spaceBetween  : 10,
                autoHeight    : true,
                nested        : true,
                simulateTouch : false,
                navigation    : {
                    nextEl: '.ninetheme-checkout-content .ninetheme-checkout-button-next',
                    prevEl: '.ninetheme-checkout-content .ninetheme-checkout-button-prev'
                },
                on: {
                    resize: function () {
                        var swiper = this;
                        swiper.update();
                    },
                    slideChange: function () {
                        var swiper = this;
                        var realIndex = swiper.realIndex;
                        $( '.ninetheme-step-item:not(:eq('+realIndex+'))' ).addClass('active');
                        $( '.ninetheme-step-item:eq('+realIndex+')' ).next().removeClass('active');
                        $( '.ninetheme-step-item:eq('+realIndex+')' ).next().next().removeClass('active');
                    }
                },
                effect: 'slide',
                pagination: {
                    el: ".ninetheme-page-multistep-checkout .ninetheme-swiper-pagination",
                    type: 'bullets',
                    bulletClass: 'ninetheme-bullets',
                    bulletClass: 'ninetheme-current',
                    bulletActiveClass: 'active',
                    clickable: true,
                    renderBullet: function (index, className) {
                        var labels = $('.ninetheme-page-multistep-checkout .ninetheme-swiper-pagination').data('steps-labels');
                        return '<div class="ninetheme-step-item ninetheme-step-item-' + (index + 1) + ' ' + className + '"><span class="ninetheme-step">' + (index + 1) + '</span><span class="ninetheme-step-label ninetheme-login">' + labels.labels[(index)] + '</span></div>';
                    }
                }
            });

            var checkoutLoginSteps = new NTSwiper('.ninetheme-checkout-form-login', {
                loop          : false,
                speed         : 500,
                spaceBetween  : 5,
                autoHeight    : true,
                simulateTouch : false,
                navigation    : {
                    nextEl: '.ninetheme-checkout-form-login .ninetheme-checkout-form-button-register',
                    prevEl: '.ninetheme-checkout-form-login .ninetheme-checkout-form-button-login'
                },
                on: {
                    resize: function () {
                        var swiper = this;
                        swiper.update();
                    }
                },
                effect: 'slide'
            });

            $('body').on('input validate change', '.input-text, select, input:checkbox', function(e){
                var $this      = $( this ),
                    $parent    = $this.closest( '.form-row' ),
                    event_type = e.type;

                if ( 'validate' === event_type && $parent.hasClass( 'woocommerce-invalid-required-field' ) ) {

                    $( '.woocommerce-invalid-required-field' ).parents('.swiper-slide').addClass( 'has-error' );

                    setTimeout(function(){
                        var getInvalidSection = $( '.swiper-slide.has-error' ).index();
                        checkoutMultiSteps.slideTo(getInvalidSection);
                        checkoutMultiSteps.updateAutoHeight(10);
                    }, 300 );

                    if ( $('.woocommerce-NoticeGroup').length ) {
                        var $targetFirst = $('.woocommerce-NoticeGroup .woocommerce-error li:first-child').data('id'),
                            $targetFirstEl = $('#'+$targetFirst+'_field');
                    }
                }
            });
        }
    }

    $(document.body).on('added_to_cart removed_from_cart updated_cart_totals', function(){
        $(document.body).trigger("update_checkout");
        $(".ninetheme-product-bottom-popup-cart").removeClass('active');
    });

    if ( $('.woocommerce-error').length ) {
        $('.ninetheme-is-required').each(function () {
            if ( typeof ninetheme_vars !== 'undefined' && ninetheme_vars ) {
                var message = ninetheme_vars.strings.form.required;
                $( this ).addClass('ninetheme-invalid').find( '.ninetheme-form-message' ).html(message);
            }
        });
    }

    var myAccountFormSteps = new NTSwiper('.ninetheme-myaccount-steps-register', {
        loop          : false,
        speed         : 500,
        spaceBetween  : 0,
        autoHeight    : false,
        simulateTouch : false,
        observer      : true,
        observerChildren      : true,
        navigation    : {
            nextEl: '.ninetheme-myaccount-steps-register .ninetheme-myaccount-form-button-register',
            prevEl: '.ninetheme-myaccount-steps-register .ninetheme-myaccount-form-button-login'
        },
        on: {
            resize: function () {
                var swiper = this;
                swiper.update();
            }
        },
        effect: 'slide'
    });

    $('body').on('ninetheme_myaccount_steps_register', function(){
        myAccountFormSteps.update();
    });

    var singlePopupCartHeight = $(".ninetheme-product-bottom-popup-cart").outerHeight();
    var singleCartPos = $('.ninetheme-product-summary .single_add_to_cart_button').offset();
    var singleCartTop = $('.ninetheme-product-summary .single_add_to_cart_button').length && $(".ninetheme-product-bottom-popup-cart").length ? singleCartPos.top : 0;
    var singleDocHeight = $(document).height() - singlePopupCartHeight;

    if ( $(".ninetheme-product-bottom-popup-cart").length && $(".ninetheme-product-summary .single_add_to_cart_button").length ) {
        $("body").css('padding-bottom',singlePopupCartHeight);
    }

    $(window).on("scroll", function () {

        if ( $(".ninetheme-product-bottom-popup-cart").length && $(".ninetheme-product-summary .single_add_to_cart_button").length ) {

            if ( $(window).scrollTop() > singleCartTop ) {
                $(".ninetheme-product-bottom-popup-cart").addClass('active');
                $("body").addClass('bottom-popup-cart-active');
            } else {
                $(".ninetheme-product-bottom-popup-cart").removeClass('active');
                $("body").removeClass('bottom-popup-cart-active');
            }
        }
    });

    if ( typeof ninetheme_vars !== 'undefined' && ninetheme_vars ) {
        var colors = ninetheme_vars.shop.swatches_color;

        $('.woocommerce-widget-layered-nav-list li a').each(function () {
            var $this = $(this);
            var title = $this.html();
            for (var i in colors) {
                if ( title == i ) {
                    var is_white = colors[i] == '#fff' || colors[i] == '#ffffff' ? ' is_white' : '';
                    var color = '<span class="ninetheme-swatches-widget-color-item'+is_white+'" style="background-color: '+colors[i]+';"></span>';
                    $this.prepend(color);
                }
            }
        });
    }

    $('.ninetheme-wc-category-list a').on('click', function () {
        $('.ninetheme-wc-category-list a').removeClass("active");
        $(this).addClass("active");
    });


    if ($('body').hasClass('woocommerce-checkout') || $('body').hasClass('woocommerce-cart')) {
        $('.ninetheme-woocommerce-cart-form .product-remove').on('click touch', function(event) {
            $(this).addClass('loading');
        });
    }

    //ninethemeLoopTooltip();
    function ninethemeLoopTooltip() {
        var myTooltips = $('.ninetheme-product div[data-label]');
        myTooltips.each(function(i, el) {
            var content = $(el).data('label');
            $(el).tooltipster({
                position      : 'bottom',
                content       : content,
                animation     : 'fade',
                trigger       : 'hover',
                distance      : [ 20,200 ],
                arrow         : true,
                hideOnClick   : true,
                interactive   : false,
                touchDevices  : false,
                functionReady : function(){
                    var id  = this.__namespace;

                    $('#'+id).addClass('product-action-tooltips');
                }
            });
        });
    }

    ninethemeHeaderLocations();
    function ninethemeHeaderLocations() {
        var locationButton   = $( '.ninetheme-header-location-trigger, .top-action-btn[data-name="location"],li.menu-item a[data-name="location"]' );
        var locationData     = locationButton.data( 'location' );
        var locationSelected = $( '.ninetheme-header-location-trigger .ninetheme-header-current-location' );
        var locationClose    = $( '.ninetheme-close-popup' );
        var locationHolder   = $( '.ninetheme-header-location' );
        var locationOverlay  = $( '.ninetheme-location-overlay' );

        if ( typeof locationButton == 'undefined' ) {
            return;
        }

        var locationContent  = $( '.ninetheme-header-location' ).html();
        $('.location-area[ data-target-name="location"]').html(locationContent);

        locationButton.each(function() {
            $(this).on( 'click', function(e) {
                e.preventDefault();

                if ( $(this).hasClass('top-action-btn') || $(this).hasClass('location-trigger') ) {
                    $('.location-area[ data-target-name="location"] .ninetheme-location-area').select2("open");
                } else {

                    if ( $(this).parents('.ninetheme-header-location').hasClass('active') ) {
                        $(this).parents('.ninetheme-header-location').removeClass( 'active' );
                    } else {
                        $(this).parents('.ninetheme-header-location').addClass( 'active' );
                        $('.ninetheme-header-location .ninetheme-location-area').select2("open");
                    }
                }
            });
        });

        locationClose.on( 'click', function(e) {
            e.preventDefault();
            locationHolder.removeClass( 'active' );
        });

        locationOverlay.on( 'click', function(e) {
            e.preventDefault();
            locationHolder.removeClass( 'active' );
        });

        var minPrice = function(min) {
            if (!min.id) {
                return min.text;
            }

            var $min;

            if ( min.element.dataset.min ) {
                $min = $( '<span>' + min.text + '</span><span class="min-price">' + min.element.dataset.min + '</span>' );
            } else {
                $min = min.text;
            }

            return $min;
        }

        if ( $('.ninetheme-location-area').length ) {
            $('.ninetheme-location-area').each(function() {
                var locations = $(this).select2({
                    allowClear       : true,
                    placeholder      : 'Select an option',
                    templateResult   : minPrice,
                    dropdownCssClass : 'ninetheme-location-select',
                    dropdownParent   : $(this).parent(),
                    closeOnSelect    : false,
                }).on("select2:closing", function(e) {
                    e.preventDefault();
                }).on("select2:closed", function(e) {
                    list.select2("open");
                });

                var placeholder = locations.data( 'placeholder' );

                locations.on( 'select2:open', function(e) {
                    $('.ninetheme-header-location .select2-results__options').addClass('ninetheme-scrollbar');
                    $('.select2-search__field').attr('placeholder', placeholder);
                    $('.select2-search').append('<svg data-testid="MagnifyGlass" viewBox="0 0 16 16" class="css-ekjjru"><path d="M14.23437,15.10449l-3.2539-3.25488a6.13908,6.13908,0,1,1,1.63574-1.85352c-.05859.10156-.11816.19922-.17969.29492l-.63086-.40625c.05567-.08593.10938-.17383.16016-.26269a5.406,5.406,0,1,0-1.19922,1.43945.37776.37776,0,0,1,.50781.02051l3.49121,3.49121Z" fill="currentColor"></path></svg>');
                });

                locations.on( 'select2:select', function(e) {
                    $.cookie("location", $(this).val());
                    if ( 'all' != $(this).val() ) {
                        $('.ninetheme-header-current-location').addClass( 'active' ).html($(this).val());
                    }
                    location.reload(true);
                    locationHolder.removeClass( 'active' );
                });
            });
        }
    }

    if ( $('.pair-images-slider').length ) {
        $('.pair-images-slider').each(function () {
            const mySlider = new NTSwiper(this, {
                autoplay: true,
                speed: 400,
                slidesPerView: 1,
                breakpoints: {
                    // when window width is >= 320px
                    320: {
                        slidesPerView: 2,
                        spaceBetween: 5
                    },
                    // when window width is >= 480px
                    480: {
                        slidesPerView: 4,
                        spaceBetween: 5
                    },
                    // when window width is >= 640px
                    768: {
                        slidesPerView: 1
                    }
                }
            });
        });
    }
    $('.ninetheme-product-button.ninetheme-wishlist-btn.woosw-btn').each(function () {
        const wsBtn = $(this);
        $('<svg class="svgLove ninetheme-svg-icon" width="512" height="512" fill="currentColor" viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg"><path d="m29.55 6.509c-1.73-2.302-3.759-3.483-6.031-3.509h-.076c-3.29 0-6.124 2.469-7.443 3.84-1.32-1.371-4.153-3.84-7.444-3.84h-.075c-2.273.026-4.3 1.207-6.059 3.549a8.265 8.265 0 0 0 1.057 10.522l11.821 11.641a1 1 0 0 0 1.4 0l11.82-11.641a8.278 8.278 0 0 0 1.03-10.562zm-2.432 9.137-11.118 10.954-11.118-10.954a6.254 6.254 0 0 1 -.832-7.936c1.335-1.777 2.831-2.689 4.45-2.71h.058c3.48 0 6.627 3.924 6.658 3.964a1.037 1.037 0 0 0 1.57 0c.032-.04 3.2-4.052 6.716-3.964a5.723 5.723 0 0 1 4.421 2.67 6.265 6.265 0 0 1 -.805 7.976z"/></svg>').appendTo(wsBtn);
        wsBtn.addClass('icon-added');
    });

    if ( $('.nt-woo-single .ninetheme-related-slider').length ) {
        var optionsRelated = $('.nt-woo-single .ninetheme-related-slider').data('swiper-options');
        var relatedSlider  = new NTSwiper('.ninetheme-related-slider', optionsRelated );
    }
    if ( $('.ninetheme-upsells-slider').length ) {
        var optionsUpsells = $('.ninetheme-upsells-slider').data('swiper-options');
        var upsellsSlider  = new NTSwiper('.ninetheme-upsells-slider', optionsUpsells );
    }
    if ( $('.ninetheme-cross-sells-slider').length ) {
        var optionsCrosssells = $('.ninetheme-cross-sells-slider').data('swiper-options');
        var crosssellsSlider  = new NTSwiper('.ninetheme-cross-sells-slider', optionsCrosssells );
    }
    if ( $('.ninetheme-recently-slider').length ) {
        var optionsRecently = $('.ninetheme-recently-slider').data('swiper-options');
        var recentlySlider  = new NTSwiper('.ninetheme-recently-slider', optionsRecently );
    }

    /***** panel Free Shipping Progressbar *****/

    if ( $('.ninetheme-cart-goal-wrapper').length>0 ) {
        var val = $('.ninetheme-cart-goal-wrapper .ninetheme-cart-goal-percent').val();
        if ( val >= 100 ) {
            $('.ninetheme-cart-goal-wrapper').addClass('free-shipping-success shakeY');
        }
    }

    panelFreeShippingProgressbar();

    function panelFreeShippingProgressbar() {
        var valPercent = $('.ninetheme-cart-goal-wrapper .ninetheme-cart-goal-percent').val();
        $('.ninetheme-free-shipping-progress .ninetheme-progress-bar').css('width', valPercent+'%');

        if ( valPercent >= 100 ) {
            $('.ninetheme-cart-goal-wrapper').addClass('free-shipping-success shakeY');
        } else {
            $('.ninetheme-cart-goal-wrapper').removeClass('free-shipping-success shakeY');
        }
    }

    $(document).on('added_to_cart removed_from_cart ninetheme_update_progressbar', function(){
        setTimeout(function(){
            var valPercent = $('.ninetheme-cart-goal-wrapper .ninetheme-cart-goal-percent').val();
            $('.ninetheme-free-shipping-progress .ninetheme-progress-bar').css('width', valPercent+'%');

            if ( valPercent >= 100 ) {
                $('.ninetheme-cart-goal-wrapper').addClass('free-shipping-success shakeY');
            } else {
                $('.ninetheme-cart-goal-wrapper').removeClass('free-shipping-success shakeY');
            }
        }, 2000 );

    });
    $(document).on('updated_cart_totals', function(){
        setTimeout(function(){
            panelFreeShippingProgressbar();
        }, 1500 );
    });

    /***** panel Free Shipping Progressbar *****/

    /***** compare button fix *****/

    if ( $('#woosc-area').length> 0) {
        var woosc = $('#woosc-area').data('count');
        $('.ninetheme-compare-count').html(woosc);
        $('.woosc-bar-item').each(function () {
            var $id = $(this).attr('data-id');
            $('.woosc-btn-icon-only[data-id="'+$id+'"]').addClass('woosc-added added');
        });
    }

    $(document.body).on('woosc_change_count', function(){
	     var woosc_count = $('#woosc-area').attr('data-count');
	     $('.ninetheme-compare-count').html(woosc_count);
    });

    /***** compare button fix *****/

    /***** wishlist button fix *****/

    var w_count = $('.open-wishlist-btn .woosw-menu-item-inner').attr('data-count');
    if ( typeof w_count != 'undefined' ) {
        $('.ninetheme-wishlist-count').html(w_count);
    } else {
        $('.ninetheme-wishlist-count').html('0');
    }
    if ( $('table.woosw-items').length > 0 ) {
        $('body').addClass('woosw-page');
    }

    $(document.body).on('woosw_fragments_refreshed', function(){
        var wishlist_count = $('.woosw-count').html();
        $('.ninetheme-wishlist-count').html( wishlist_count );

        if ( $('body').hasClass('woosw-page') ) {
            var w_count2 = $('.woosw-items.table .woosw-item').length;
            if ( typeof w_count != 'undefined' ) {
                $('.ninetheme-wishlist-count').html( w_count2 );
            } else {
                $('.ninetheme-wishlist-count').html(0);
            }
        }
    });

    /***** wishlist button fix *****/


    /***** change sku *****/

    var $mainSkuHtml = $('.ninetheme-sku-wrapper .sku'),
        $mainSku     = $mainSkuHtml.html();

    $('.ninetheme-product-summary form.variations_form').on('show_variation', function( event, data ){
        $mainSkuHtml.html(data.sku);
    });
    $('.ninetheme-product-summary form.variations_form').on('hide_variation', function(){
        $mainSkuHtml.html($mainSku);
    });

    /***** change sku *****/

});
