<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
    return;
}
$type       = apply_filters( 'ninetheme_loop_product_type', ninetheme_settings( 'shop_product_type', 4 ) );
$css_class  = 'ninetheme-type-product ninetheme-product-type-'.apply_filters( 'ninetheme_loop_product_type', $type );
$column     = ninetheme_get_shop_column();
$class      = 'ninetheme-loop-product-type-'.$type;
$css_class .= is_archive() ? ' ' : '';

?>
<div <?php wc_product_class( $css_class, $product ); ?>>
    <?php
    if ( 'custom' == $type ) {
        
        ninetheme_loop_product_custom_layout_manager();
        
    } else {
        
        if ( '1' == $column ) {
            ninetheme_loop_product_type_list();
        } elseif ( '1' == $type ) {
            ninetheme_loop_product_type1();
        } elseif ( '2' == $type ) {
            ninetheme_loop_product_type2();
        } elseif ( '3' == $type ) {
            ninetheme_loop_product_type3();
        } else {
            ninetheme_loop_product_type4();
        }
    }
    ?>
</div>
<?php
