<?php


global $product;

$layout           = apply_filters('ninetheme_single_shop_layout', ninetheme_settings( 'single_shop_layout', 'showcase' ) );

$showcase_type_ot = ninetheme_settings( 'single_shop_showcase_type', 'carousel' );
$showcase_type_mb = get_post_meta( get_the_ID(), 'ninetheme_showcase_type', true );
$showcase_type    = $showcase_type_mb ? $showcase_type_mb : $showcase_type_ot;
$showcase_type    = apply_filters('ninetheme_showcase_type', $showcase_type );

$popup_video      = get_post_meta( get_the_ID(), 'ninetheme_product_popup_video', true );
$video_type       = apply_filters( 'ninetheme_product_video_type', get_post_meta( get_the_ID(), 'ninetheme_product_video_type', true ) );

$bg_type_ot = ninetheme_settings( 'single_shop_showcase_bg_type', 'dark' );
$bg_type_mb = get_post_meta( get_the_ID(), 'ninetheme_showcase_bg_type', true );
$bg_type    = $bg_type_mb ? $bg_type_mb : $bg_type_ot;
$bg_type    = apply_filters('ninetheme_showcase_bg_type', $bg_type );
$bg_type   .= '1' == ninetheme_settings( 'single_shop_hero_visibility', '1' ) ? ' ninetheme-has-breadcrumb' : '';

$order_column   = 'right-sidebar' == $layout && is_active_sidebar( 'shop-single-sidebar' ) ? ' order-1' : ' order-1 order-lg-2';
$order_sidebar  = 'right-sidebar' == $layout && is_active_sidebar( 'shop-single-sidebar' ) ? ' order-2' : ' order-2 order-lg-1';
$sticky_sidebar = is_active_sidebar( 'shop-single-sidebar' ) && '1' == ninetheme_settings( 'single_shop_sticky_sidebar', '0' ) ? ' ninetheme-is-sticky' : '';
$column         = ( 'left-sidebar' == $layout || 'right-sidebar' == $layout ) && is_active_sidebar( 'shop-single-sidebar' ) ? 'col-lg-9 shop-has-sidebar ninetheme-sidebar-'.$layout.$order_column : 'col-lg-12';

$thumbs_layout  = apply_filters( 'ninetheme_product_thumbs_layout', ninetheme_settings( 'product_thumbs_layout', 'slider' ) );
$sticky_summary = '1' == ninetheme_settings( 'single_shop_sticky_summary', '0' ) ? ' ninetheme-is-sticky' : '';


$tabs_type  = apply_filters( 'ninetheme_product_tabs_type', ninetheme_settings( 'product_tabs_type', 'tabs' ) );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );

if ( 'accordion' == $tabs_type ) {
    remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10 );
    add_action( 'woocommerce_single_product_summary', 'woocommerce_output_product_data_tabs', 31 );
    add_action( 'woocommerce_after_single_product_summary', 'ninetheme_wc_move_product_reviews', 21 );
}

?>
<div id="nt-woo-single" class="nt-woo-single ninetheme-product-showcase-style">
    <div id="product-<?php the_ID(); ?>" <?php wc_product_class( 'ninetheme-single-product-type-3', $product ); ?>>
        <div class="ninetheme-product-showcase ninetheme-bg-<?php echo esc_attr( $bg_type ); ?>">
            
            <?php if ( '0' != ninetheme_settings( 'single_shop_hero_visibility', '1' ) ) { ?>
                <div class="ninetheme-product-breadcrumb-nav">
                    <div class="container-xl ninetheme-container-xl">
                        <div class="row">
                            <div class="col-12">
                                <div class="ninetheme-flex ninetheme-align-center">
                                    <?php echo ninetheme_breadcrumbs(); ?>
                                    <?php ninetheme_single_product_nav_two(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>

            <?php
            if ( 'full' == $showcase_type ) {
                ninetheme_product_gallery_slider_full();
            } else {
                ninetheme_product_gallery_slider_carousel();
            }
            ?>

            <div class="ninetheme-product-summary">
                <div class="container-xl ninetheme-container-xl">
                    <div class="row">
                        <div class="col-12 col-lg-6">
                            <?php
                            if ( 'carousel' == $showcase_type && $popup_video && 'popup' == $video_type ) {
                                echo '<a href="'.$popup_video.'" class="ninetheme-product-video-button ninetheme-in-content mfp-iframe"><i class="fa fa-play"></i></a>';
                            }
                            woocommerce_template_single_title();
                            woocommerce_template_single_rating();
                            woocommerce_template_single_price();
                            woocommerce_template_single_add_to_cart();
                            woocommerce_template_single_excerpt();
                            ?>
                        </div>
                        <div class="col-12 col-lg-1"></div>
                        <div class="col-12 col-lg-5 mt-4 mt-lg-0">
                            <?php
                            /**
                            * Hook: woocommerce_single_product_summary.
                            *
                            * @hooked woocommerce_template_single_meta - 40
                            * @hooked woocommerce_template_single_sharing - 50
                            * @hooked WC_Structured_Data::generate_product_data() - 60
                            */
                            do_action( 'woocommerce_single_product_summary' );
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="ninetheme-inner-container pb-100">
        <div class="container-xl ninetheme-container-xl">

            <div class="row ninetheme-shop-single-row shop-layout-<?php echo esc_attr( $layout ); ?>">

                <div class="<?php echo esc_attr( $column ); ?>">

                    <div class="row ninetheme-row-after-summary">
                        <div class="col-12">
                            <?php
                            /**
                            * Hook: woocommerce_after_single_product_summary.
                            *
                            * @hooked woocommerce_output_product_data_tabs - 10
                            * @hooked woocommerce_upsell_display - 15
                            * @hooked woocommerce_output_related_products - 20
                            */
                            do_action( 'woocommerce_after_single_product_summary' );
                            ?>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
