<?php

/*************************************************
## Load More Button
*************************************************/
function ninetheme_load_more_button()
{
    echo '<div class="row row-more ninetheme-more mt-30">
    <div class="col-12 nt-pagination ninetheme-justify-center">
    <div class="button ninetheme-load-more" data-title="'.esc_html__('Loading...','crisop').'">'.esc_html__('Load More','crisop').'</div>
    </div>
    </div>';
}


/*************************************************
## Infinite Pagination
*************************************************/
function ninetheme_infinite_scroll()
{
    echo '<div class="row row-infinite ninetheme-more mt-30 ninetheme-hidden">
    <div class="col-12 nt-pagination ninetheme-justify-center">
    <div class="ninetheme-load-more" data-title="'.esc_html__('Loading...','crisop').'">'.esc_html__('Loading...','crisop').'</div>
    </div>
    </div>';
}


/*************************************************
## Load More CallBack
*************************************************/
add_action( 'wp_ajax_nopriv_ninetheme_shop_load_more', 'ninetheme_load_more_callback' );
add_action( 'wp_ajax_ninetheme_shop_load_more', 'ninetheme_load_more_callback' );
function ninetheme_load_more_callback()
{
    $css_class = '';

    $args = array(
        's'              => $_POST['s'],
        'post_type'      => 'product',
        'posts_per_page' => intval($_POST['per_page']),
        'paged'          => intval($_POST['current_page']) + 1
    );

    // Price Slider
    if ( $_POST['min_price'] != null || $_POST['max_price'] != null ) {
        $args['meta_query'][] = wc_get_min_max_price_meta_query( array(
          'min_price' => $_POST['min_price'],
          'max_price' => $_POST['max_price']
        ));
    }

    // On Sale Products
    if ( isset( $_POST['on_sale'] ) ) {
        $args['post__in'] = $_POST['on_sale'];
    }

    // Orderby
    $orderby_value = isset( $_POST['orderby'] ) ? wc_clean( (string) wp_unslash( $_POST['orderby'] ) ) : wc_clean( get_query_var( 'orderby' ) );

    if ( ! $orderby_value ) {
        if ( $_POST['is_search'] == 'yes' ) {
            $orderby_value = 'relevance';
        } else {
            $orderby_value = apply_filters( 'woocommerce_default_catalog_orderby', get_option( 'woocommerce_default_catalog_orderby', 'menu_order' ) );
        }
    }

    switch ( $orderby_value ) {
        case 'menu_order':
        $args['orderby'] = 'menu_order title';
        $args['order']   = 'ASC';
        break;
        case 'relevance':
        $args['orderby'] = 'relevance';
        $args['order']   = 'DESC';
        break;
        case 'price':
        add_filter( 'posts_clauses', array( WC()->query, 'order_by_price_asc_post_clauses' ) );
        break;
        case 'price-desc':
        add_filter( 'posts_clauses', array( WC()->query, 'order_by_price_desc_post_clauses' ) );
        break;
        case 'popularity':
        $args['meta_key'] = 'total_sales';
        add_filter( 'posts_clauses', array( WC()->query, 'order_by_popularity_post_clauses' ) );
        break;
        case 'rating':
        $args['meta_key'] = '_wc_average_rating'; // phpcs:ignore WordPress.DB.SlowDBQuery.slow_db_query_meta_key
        $args['order']    = 'DESC';
        $args['orderby']  = 'meta_value_num';
        add_filter( 'posts_clauses', array( WC()->query, 'order_by_rating_post_clauses' ) );
        break;
    }

    // Product Category Filter Widget on shop page
    if ( $_POST['filter_cat'] != null ) {
        if ( !empty( $_POST['filter_cat'] ) ) {
            $args['tax_query'][] = array(
                'taxonomy' => 'product_cat',
                'field'    => 'id',
                'terms'    => explode( ',', $_POST['filter_cat'] )
            );
        }
    }

    // Product Category Page
    if ( $_POST['cat_id'] != null ) {
        $args['tax_query'][] = array(
            'taxonomy' => 'product_cat',
            'field'    => 'id',
            'terms'    => $_POST['cat_id']
        );
    }

    // Product Brands Filter Widget on shop page
    if ( $_POST['filter_brand'] != null ) {
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'ninetheme_product_brands',
                'field'    => 'id',
                'terms'    => $_POST['filter_brand']
            )
        );
    }

    // Product Brands Page
    if ( is_tax( 'ninetheme_product_brands' ) && $_POST['brand_id'] != null ) {
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'ninetheme_product_brands',
                'field'    => 'id',
                'terms'    => $_POST['brand_id']
            )
        );
    }

    // Product Campaigns Filter Widget on shop page
    if ( $_POST['filter_campaign'] != null ) {
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'ninetheme_product_campaigns',
                'field'    => 'id',
                'terms'    => $_POST['filter_campaign']
            )
        );
    }

    // Product Campaigns Page
    if ( is_tax( 'ninetheme_product_campaigns' ) && $_POST['campaign_id'] != null ) {
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'ninetheme_product_campaigns',
                'field'    => 'id',
                'terms'    => $_POST['campaign_id']
            )
        );
    }

    // Product Filter By widget
    if ( isset( $_POST['layered_nav'] ) ) {
        $choosen_attributes = $_POST['layered_nav'];

        foreach ( $choosen_attributes as $taxonomy => $data ) {
            $args['tax_query'][] = array(
                'taxonomy'         => $taxonomy,
                'field'            => 'slug',
                'terms'            => $data['terms'],
                'operator'         => 'and' === $data['query_type'] ? 'AND' : 'IN',
                'include_children' => false
            );
        }
    }

    // Product Location
    if ( isset( $_POST['locations'] ) && $_POST['locations'] != 'all' ) {
        $args['tax_query'] = [
            [
                'taxonomy' => 'location',
                'field'    => 'slug',
                'terms'    => $_POST['locations']
            ]
        ];
        $css_class .= ' location-'.$_POST['locations'];
    }

    $type   = apply_filters( 'ninetheme_loop_product_type', ninetheme_settings( 'shop_product_type', 4 ) );
    $column = '';

    $css_class .= 'ninetheme-type-product';
    $css_class .= ' ninetheme-product-loaded';
    $css_class .= ' orderby-'.$orderby_value;

    if ( isset( $_POST['product_style'] ) && $_POST['product_style'] ) {
        $type = $_POST['product_style'];
    }
    if ( isset( $_POST['column'] ) && $_POST['column'] ) {
        $column = $_POST['column'];
    }
    //Loop
    $loop = new WP_Query( $args );
    if ( $loop->have_posts() ) {
        while ( $loop->have_posts() ) {
            $loop->the_post();
            global $product;
            // Ensure visibility.
            if ( !empty( $product ) && $product->is_visible() ) {
                ?>
                <div <?php wc_product_class( $css_class, $product ); ?>>

                    <?php
                    if ( $type == 'custom') {
                        ninetheme_loop_product_custom_layout_manager();
                    } else {
                        if ( '1' == $column ) {
                            ninetheme_loop_product_type_list();
                        } elseif ( '1' == $type ) {
                            ninetheme_loop_product_type1();
                        } elseif ( '2' == $type ) {
                            ninetheme_loop_product_type2();
                        } elseif ( '3' == $type ) {
                            ninetheme_loop_product_type3();
                        } else {
                            ninetheme_loop_product_type4();
                        }
                    }
                    ?>

                </div>
                <?php
            }
        }
    }
    wp_reset_postdata();

    wp_die();
}
