jQuery(document).ready(function($) {
    "use strict";

    $('.ninetheme-wc-tab-slider').each(function () {
        var myWrapper = $( this ),
            ajaxTab   = myWrapper.find('.ninetheme-tab-nav-item:not(.loaded)'),
            loadedTab = myWrapper.find('.ninetheme-tab-nav-item');

        myWrapper.find('.ninetheme-tab-slider.is-active .thm-tab-slider').each(function (el,i) {
            var options = $(this).data('swiper-options');
            let mySwiper = new NTSwiper(this, options);
            if ( options.autoplay == true ) {
                $(this).hover(
                    function() {
                        mySwiper.autoplay.stop();
                    },
                    function() {
                        mySwiper.autoplay.start();
                    }
                );
            }
        });

        loadedTab.on('click', function(event){
            var $this = $(this),
                terms = $this.data('tab-terms'),
                catId = $this.data('tab-id'),
                id    = terms.id;
            myWrapper.find('.ninetheme-tab-nav-item').removeClass('is-active');
            $this.addClass('is-active');
            $('.ninetheme-tab-slider:not([data-cat-id="'+catId+'"])').removeClass('is-active');
            $('.ninetheme-tab-slider[data-cat-id="'+catId+'"]').addClass('is-active');
            myWrapper.find('.ninetheme-slider-nav').removeClass('is-active');
            myWrapper.find('.ninetheme-slider-nav[data-nav-id="'+catId+'"]').addClass('is-active');
        });

        var height = myWrapper.find('.ninetheme-tabs-wrapper .thm-tab-slider').height();

        ajaxTab.on('click', function(event){
            var $this    = $(this),
                terms    = $this.data('tab-terms'),
                catId    = $this.data('tab-id'),
                cat_id   = terms.id,
                per_page = terms.per_page,
                order    = terms.order,
                orderby  = terms.orderby,
                scenario = terms.scenario,
                imgsize  = terms.imgsize,
                ajaxurl  = terms.ajaxurl,
                data     = {
                    action     : 'ninetheme_ajax_tab_slider',
                    cat_id     : cat_id,
                    per_page   : per_page,
                    order      : order,
                    orderby    : orderby,
                    scenario   : scenario,
                    img_size   : imgsize,
                    beforeSend : function() {
                        $('.ninetheme-tab-slider[data-cat-id="'+catId+'"]').css('min-height', height ).addClass('tab-loading');
                        myWrapper.find('.ninetheme-tab-nav-item').removeClass('is-active');
                        $this.addClass('is-active');
                        myWrapper.find('.ninetheme-slider-nav').removeClass('is-active');
                        myWrapper.find('.ninetheme-slider-nav[data-nav-id="'+catId+'"]').addClass('is-active');
                    }
                };

            if ( !$this.hasClass('loaded') && $('.ninetheme-tab-slider:not([data-cat-id="'+catId+'"])').length ) {

                // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                $.post(ajaxurl, data, function(response) {

                    $('.ninetheme-tab-slider:not([data-cat-id="'+catId+'"])').removeClass('is-active');
                    $('.ninetheme-tab-slider[data-cat-id="'+catId+'"]').addClass('is-active loaded');
                    $('.ninetheme-tab-slider[data-cat-id="'+catId+'"] .swiper-wrapper').append(response);

                    $this.addClass('loaded');

                    $('.ninetheme-tab-slider[data-cat-id="'+catId+'"] .thm-tab-slider').each(function () {
                        const optionsAjax = $(this).data('swiper-options');
                        var mySwiperAjax  = new NTSwiper( this, optionsAjax );
                        $('body').trigger('ninetheme_lazy_load');
                        mySwiperAjax.updateAutoHeight(100);
                    });

                    $('.ninetheme-loop-product-more-details-trigger').on('click', function (e) {
                        $(this).parents('.ninetheme-type-product').toggleClass('details-open');
                    });

                    $('.ninetheme-tab-slider[data-cat-id="'+catId+'"] .variations_form').each(function () {
                        $(this).wc_variation_form();
                    });
                    
                    $('.ninetheme-tab-slider[data-cat-id="'+catId+'"]').removeClass('tab-loading');

                    $(document.body).trigger('ninetheme_quick_shop');
                    $('body').trigger('ninetheme_quick_init');
                    $(document.body).trigger('ninetheme_variations_init');

                });
            }
        });

    });

});
