<?php
/**
* Crisop Admin Page Template
*/


?>

    <div class="ninetheme-admin-wrapper">
        <div class="container">
            <div class="page-heading">
                <h1 class="page-title"><?php _e( 'Crisop Addons', 'crisop' ); ?></h1>
                <p class="page-description">
                    <?php _e( 'Premium & Advanced Essential Elements for Elementor', 'crisop' ); ?>
                </p>
            </div>
            <form class="ninetheme-form" method="post">

                <nav>
                    <div class="nav nav-tabs nav-fill" id="nav-tab" role="tablist">
                        <a class="nav-item nav-link active" id="nav-widget-tab" data-toggle="tab" href="#nav-widget" role="tab" aria-controls="nav-widget" aria-selected="false"><?php _e( 'Widgets', 'crisop' ); ?></a>
                        <a class="nav-item nav-link" id="nav-general-tab" data-toggle="tab" href="#nav-general" role="tab" aria-controls="nav-general" aria-selected="true"><?php _e( 'Extra', 'crisop' ); ?></a>
                    </div>
                </nav>
                <div class="tab-content" id="nav-tabContent">

                    <div class="tab-pane fade show active" id="nav-widget" role="tabpanel" aria-labelledby="nav-widget-tab">
                        <div class="row widget-row">
                            <?php

                            $list = array(
                                'page-title',
                                'menu-vertical',
                                'button',
                                'label',
                                'pointer',
                                'animated-headline',
                                'swiper-template',
                                'slide-show',
                                'posts-base',
                                'breadcrumbs',
                                'image-slider',
                                'instagram-slider',
                                'team-slider',
                                'fetatures-item',
                                'timer',
                                'contact-form-7',
                                'testimonials-slider',
                                'sidebar-widgets',
                                'vegas-slider',
                                'vegas-template',
                                'gallery-isotope',
                                'gallery-carousel',
                                'woo-tab-slider',
                                'woo-grid',
                                'woo-category-grid',
                                'woo-category-list',
                                'woo-list',
                                'woo-slider',
                                'woo-slider-list',
                                'woo-gallery',
                                'woo-banner',
                                'woo-banner-slider',
                                'woo-brands',
                                'woo-campaigns',
                                'woo-banner-hero-slider',
                                'woo-ajax-search',
                                'woo-archive-description',
                                'woo-page-title',
                                'woo-categories',
                                'woo-product-item',
                                'woo-deals-single'
                            );

                            foreach ( $list as $widget ) {

                                $option = 'disable_'.str_replace( '-', '_', $widget );
                                $name = mb_strtoupper( str_replace( '-', ' ', $widget ) );

                                add_option( $option, 0 );
                                if ( isset( $_POST[ $option ] ) ) {
                                    update_option( $option, $_POST[ $option ] );
                                }

                                 ?>

                                <div class="col-md-4">
                                    <div class="widget-toggle">
                                        <div class="custom-control custom-switch">
                                            <input type="hidden" name="<?php echo esc_attr( $option ); ?>" value="1">
                                            <input type="checkbox" class="custom-control-input" id="<?php echo esc_attr( $option ); ?>" name="<?php echo esc_attr( $option ); ?>" value="0" <?php checked( 0, get_option( $option ), true ); ?>>
                                            <label class="custom-control-label" for="<?php echo esc_attr( $option ); ?>"><?php echo esc_html( $name ); ?></label>
                                        </div>
                                    </div>
                                </div>
                                <?php
                            }
                            ?>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="nav-general" role="tabpanel" aria-labelledby="nav-general-tab">
                        <div class="row widget-row">
                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_list_shortcodes', 0 );
                                    if ( isset( $_POST['disable_ninetheme_list_shortcodes'] ) ) {
                                        update_option( 'disable_ninetheme_list_shortcodes', $_POST['disable_ninetheme_list_shortcodes'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_list_shortcodes" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_list_shortcodes" name="disable_ninetheme_list_shortcodes" value="0" <?php checked( 0, get_option( 'disable_ninetheme_list_shortcodes' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_list_shortcodes"><?php _e( 'Shortcode Creator', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_brands', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_brands'] ) ) {
                                        update_option( 'disable_ninetheme_wc_brands', $_POST['disable_ninetheme_wc_brands'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_brands" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_brands" name="disable_ninetheme_wc_brands" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_brands' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_brands"><?php _e( 'Crisop Brands', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_campaigns', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_campaigns'] ) ) {
                                        update_option( 'disable_ninetheme_wc_campaigns', $_POST['disable_ninetheme_wc_campaigns'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_campaigns" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_campaigns" name="disable_ninetheme_wc_campaigns" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_campaigns' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_campaigns"><?php _e( 'Crisop Campaigns', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_wishlist', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_wishlist'] ) ) {
                                        update_option( 'disable_ninetheme_wc_wishlist', $_POST['disable_ninetheme_wc_wishlist'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_wishlist" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_wishlist" name="disable_ninetheme_wc_wishlist" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_wishlist' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_wishlist"><?php _e( 'Crisop Wishlist', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_compare', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_compare'] ) ) {
                                        update_option( 'disable_ninetheme_wc_compare', $_POST['disable_ninetheme_wc_compare'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_compare" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_compare" name="disable_ninetheme_wc_compare" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_compare' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_compare"><?php _e( 'Crisop Compare', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_swatches', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_swatches'] ) ) {
                                        update_option( 'disable_ninetheme_wc_swatches', $_POST['disable_ninetheme_wc_swatches'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_swatches" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_swatches" name="disable_ninetheme_wc_swatches" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_swatches' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_swatches"><?php _e( 'Crisop Swatches', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_quickview', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_quickview'] ) ) {
                                        update_option( 'disable_ninetheme_wc_quickview', $_POST['disable_ninetheme_wc_quickview'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_quickview" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_quickview" name="disable_ninetheme_wc_quickview" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_quickview' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_quickview"><?php _e( 'Crisop Quick View', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_wc_ajax_search', 0 );
                                    if ( isset( $_POST['disable_ninetheme_wc_ajax_search'] ) ) {
                                        update_option( 'disable_ninetheme_wc_ajax_search', $_POST['disable_ninetheme_wc_ajax_search'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_wc_ajax_search" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_wc_ajax_search" name="disable_ninetheme_wc_ajax_search" value="0" <?php checked( 0, get_option( 'disable_ninetheme_wc_ajax_search' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_wc_ajax_search"><?php _e( 'Crisop WC Ajax Search', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_location_taxonomy', 0 );
                                    if ( isset( $_POST['disable_ninetheme_location_taxonomy'] ) ) {
                                        update_option( 'disable_ninetheme_location_taxonomy', $_POST['disable_ninetheme_location_taxonomy'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_location_taxonomy" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_location_taxonomy" name="disable_ninetheme_location_taxonomy" value="0" <?php checked( 0, get_option( 'disable_ninetheme_location_taxonomy' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_location_taxonomy"><?php _e( 'Crisop Location Taxonomy', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_popups_builder', 0 );
                                    if ( isset( $_POST['disable_ninetheme_popups_builder'] ) ) {
                                        update_option( 'disable_ninetheme_popups_builder', $_POST['disable_ninetheme_popups_builder'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_popups_builder" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_popups_builder" name="disable_ninetheme_popups_builder" value="0" <?php checked( 0, get_option( 'disable_ninetheme_popups_builder' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_popups_builder"><?php _e( 'Crisop Popup Builder', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="widget-toggle">
                                    <?php
                                    add_option( 'disable_ninetheme_product360_builder', 0 );
                                    if ( isset( $_POST['disable_ninetheme_product360_builder'] ) ) {
                                        update_option( 'disable_ninetheme_product360_builder', $_POST['disable_ninetheme_product360_builder'] );
                                    }
                                    ?>
                                    <div class="custom-control custom-switch">
                                        <input type="hidden" name="disable_ninetheme_product360_builder" value="1">
                                        <input type="checkbox" class="custom-control-input" id="disable_ninetheme_product360_builder" name="disable_ninetheme_product360_builder" value="0" <?php checked( 0, get_option( 'disable_ninetheme_product360_builder' ), true ); ?>>
                                        <label class="custom-control-label" for="disable_ninetheme_product360_builder"><?php _e( 'Crisop Product 360 Degree', 'crisop' ); ?></label>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>

                <div class="page-actions">
                    <div class="row">
                        <div class="col-sm-12 submit-container">
                            <?php wp_nonce_field( 'ninetheme_admin_nonce_field' ); ?>
                            <button type="submit" class="btn btn-primary"><?php _e( 'Save Settings', 'crisop' ); ?></button>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
