<?php
/**
 * Template library templates
 */

defined( 'ABSPATH' ) || exit;
wp_enqueue_script( 'imagesloaded' );
wp_enqueue_script( 'masonry' );
?>
<script type="text/template" id="tmpl-decoratyTemplateLibrary__header-logo">
    <span class="decoratyTemplateLibrary__logo-wrap">
		<i class="decoraty ninetheme-addons"></i>
	</span>
    <span class="decoratyTemplateLibrary__logo-title">NINETHEME {{{ title }}}</span>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__header-back">
	<i class="eicon-" aria-hidden="true"></i>
	<span><?php echo __( 'Back to Library', 'crisop' ); ?></span>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__header-menu">
	<# _.each( tabs, function( args, tab ) { var activeClass = args.active ? 'elementor-active' : ''; #>
		<div class="elementor-component-tab elementor-template-library-menu-item {{activeClass}}" data-tab="{{{ tab }}}">{{{ args.title }}}</div>
	<# } ); #>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__header-menu-responsive">
	<div class="elementor-component-tab decoratyTemplateLibrary__responsive-menu-item elementor-active" data-tab="desktop">
		<i class="eicon-device-desktop" aria-hidden="true" title="<?php esc_attr_e( 'Desktop view', 'crisop' ); ?>"></i>
		<span class="elementor-screen-only"><?php esc_html_e( 'Desktop view', 'crisop' ); ?></span>
	</div>
	<div class="elementor-component-tab decoratyTemplateLibrary__responsive-menu-item" data-tab="tab">
		<i class="eicon-device-tablet" aria-hidden="true" title="<?php esc_attr_e( 'Tab view', 'crisop' ); ?>"></i>
		<span class="elementor-screen-only"><?php esc_html_e( 'Tab view', 'crisop' ); ?></span>
	</div>
	<div class="elementor-component-tab decoratyTemplateLibrary__responsive-menu-item" data-tab="mobile">
		<i class="eicon-device-mobile" aria-hidden="true" title="<?php esc_attr_e( 'Mobile view', 'crisop' ); ?>"></i>
		<span class="elementor-screen-only"><?php esc_html_e( 'Mobile view', 'crisop' ); ?></span>
	</div>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__header-actions">
	<div id="decoratyTemplateLibrary__header-sync" class="elementor-templates-modal__header__item">
		<i class="eicon-sync" aria-hidden="true" title="<?php esc_attr_e( 'Sync Library', 'crisop' ); ?>"></i>
		<span class="elementor-screen-only"><?php esc_html_e( 'Sync Library', 'crisop' ); ?></span>
	</div>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__preview">
    <iframe></iframe>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__header-insert">
	<div id="elementor-template-library-header-preview-insert-wrapper" class="elementor-templates-modal__header__item">
		{{{ decoraty.library.getModal().getTemplateActionButton( obj ) }}}
	</div>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__insert-button">
	<a class="elementor-template-library-template-action elementor-button decoratyTemplateLibrary__insert-button">
		<i class="eicon-file-download" aria-hidden="true"></i>
		<span class="elementor-button-title"><?php esc_html_e( 'Insert', 'crisop' ); ?></span>
	</a>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__loading">
	<div class="elementor-loader-wrapper">
		<div class="elementor-loader">
			<div class="elementor-loader-boxes">
				<div class="elementor-loader-box"></div>
				<div class="elementor-loader-box"></div>
				<div class="elementor-loader-box"></div>
				<div class="elementor-loader-box"></div>
			</div>
		</div>
		<div class="elementor-loading-title"><?php esc_html_e( 'Loading', 'crisop' ); ?></div>
	</div>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__templates">
	<div id="decoratyTemplateLibrary__toolbar">
		<div id="decoratyTemplateLibrary__toolbar-filter" class="decoratyTemplateLibrary__toolbar-filter">
			<# if (decoraty.library.getTypeTags()) { var selectedTag = decoraty.library.getFilter( 'tags' ); #>
				<# if ( selectedTag ) { #>
				<span class="decoratyTemplateLibrary__filter-btn">{{{ decoraty.library.getTags()[selectedTag] }}} <i class="eicon-caret-right"></i></span>
				<# } else { #>
				<span class="decoratyTemplateLibrary__filter-btn"><?php esc_html_e( 'Filter', 'crisop' ); ?> <i class="eicon-caret-right"></i></span>
				<# } #>
				<ul id="decoratyTemplateLibrary__filter-tags" class="decoratyTemplateLibrary__filter-tags">
					<li data-tag="">All</li>
					<# _.each(decoraty.library.getTypeTags(), function(slug) {
						var selected = selectedTag === slug ? 'active' : '';
						#>
						<li data-tag="{{ slug }}" class="{{ selected }}">{{{ decoraty.library.getTags()[slug] }}}</li>
					<# } ); #>
				</ul>
			<# } #>
		</div>
		<div id="decoratyTemplateLibrary__toolbar-counter"></div>
		<div id="decoratyTemplateLibrary__toolbar-search">
			<label for="decoratyTemplateLibrary__search" class="elementor-screen-only"><?php esc_html_e( 'Search Templates:', 'crisop' ); ?></label>
			<input id="decoratyTemplateLibrary__search" placeholder="<?php esc_attr_e( 'Search', 'crisop' ); ?>">
			<i class="eicon-search"></i>
		</div>
	</div>

	<div class="decoratyTemplateLibrary__templates-window">
		<div id="decoratyTemplateLibrary__templates-list"></div>
	</div>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__template">
	<div class="decoratyTemplateLibrary__template-body elementor-template-library-template-body" data-col="template-col-{{ col }}" id="decoratyTemplate-{{ template_id }}">

		<div class="decoratyTemplateLibrary__template-preview">
			<i class="eicon-zoom-in-bold" aria-hidden="true"></i>
		</div>
        <img class="decoratyTemplateLibrary__template-thumbnail" src="{{ thumbnail }}">
        <div class="decoratyTemplateLibrary__template-name">{{ title }}</div>
	</div>
	<div class="decoratyTemplateLibrary__template-footer">
		{{{ decoraty.library.getModal().getTemplateActionButton( obj ) }}}

		<a href="#" class="elementor-button decoratyTemplateLibrary__preview-button">
			<i class="eicon-device-desktop" aria-hidden="true"></i>
			<?php esc_html_e( 'Preview', 'crisop' ); ?>
		</a>
	</div>
</script>

<script type="text/template" id="tmpl-decoratyTemplateLibrary__empty">

	<div class="elementor-template-library-blank-icon">
		<img src="<?php echo ELEMENTOR_ASSETS_URL . 'images/no-search-results.svg'; ?>" class="elementor-template-library-no-results" />
	</div>
	<div class="elementor-template-library-blank-title"></div>
	<div class="elementor-template-library-blank-message"></div>
	<div class="elementor-template-library-blank-footer">
		<?php esc_html_e( 'Want to learn more about the Crisop Library?', 'crisop' ); ?>
		<a class="elementor-template-library-blank-footer-link" href="https://ninetheme.com/themes/decoraty/fashion/" target="_blank"><?php echo __( 'Click here', 'crisop' ); ?></a>
	</div>
</script>
