/**
 * frontend.js
 *
 * @author Your Inspiration Themes
 * @package decoraty WooCommerce Ajax Search
 * @version 1.1.1
 */

jQuery(function ($) {
    "use strict";

    var el          = $('.ninetheme-as'),
        search_btn  = $('.ninetheme-searchsubmit'),
        min_chrs    = el.data('min-chars'),
        ajaxurl     = ninetheme_vars.ajax_url;

    if ( ajaxurl.indexOf('?') == -1 ) {
        ajaxurl += '?';
    }

    search_btn.on('click', function () {
        var form = $(this).closest('form');
        if ( form.find('.ninetheme-as').val() == '' ) {
            return false;
        }
        return true;
    });

    if ( el.length == 0 ) el = $('.ninetheme-as');

    el.each(function () {
        var $t        = $(this),
            loader    = $('.search-icon'),
            form      = $(this).closest('form'),
            formdata  = form.serialize(),
            append_to = $t.closest('.ninetheme-asform-container');
        var escapeRegExChars = function (value) {
            return value.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, "\\$&");
        };
        function selectedCats(){
            var productcat = form.find('select').children("option:selected").val();
            form.find("select").change(function(){
                productcat = $(this).children("option:selected").val();
            });
            return productcat;
        }
         
        $t.decoratyautocomplete({
            minChars: min_chrs,
            appendTo: append_to,
            maxHeight: 400,
            triggerSelectOnValidInput: true,
            serviceUrl: ajaxurl + 'action=ninetheme_as_products&product_cat='+selectedCats(),
            onSearchStart: function (suggestion,query) {
                loader.addClass('loading');
                console.log(suggestion);
                console.log(query);
                //console.log(productcat);
            },
            onSelect: function (suggestion) {
                if (suggestion.id != -1) {
                    window.location.href = suggestion.url;
                }
            },
            onSearchComplete: function ( suggestion ) {
                loader.removeClass('loading');
            },
            formatResult : function (suggestion, currentValue) {
                //console.log(typeof formdata );
                //console.log(formdata );
                //return '<strong>'+ formdata +'</strong>';
                if ( 'No results' == suggestion.value ) {
                    form.addClass('no-result');
                    
                    return '<strong>'+ suggestion.value +'</strong>';
                } else {
                    form.removeClass('no-result');
                    var pattern = '(' + escapeRegExChars(currentValue) + ')';
                    var val =  suggestion.value.replace(new RegExp(pattern, 'gi'), '<strong>$1<\/strong>');
                    var html = '<img width="50" height="50" src="' + suggestion.img + '"/>';
                        html += '<div class="ninetheme-small-title">';
                        html += '<span class="value">'+ val +'</span>';
                        html += '<span class="ninetheme-price price">'+ suggestion.prc +'</span>';
                        html += '</div>';
                    return html;
                }
            }
        });
    });
});
