/*-----------------------------------------------------------------------------------

    Theme Name: Crisop
    Description: WordPress Theme
    Author: Ninetheme
    Author URI: https://ninetheme.com/
    Version: 1.0

-----------------------------------------------------------------------------------*/

//var wishlist_vars = {};
"use strict";

(function(window, document, $) {

    function set_Cookie(cname, cvalue, exdays) {
        var d = new Date();

        d.setTime(d.getTime() + (
            exdays * 24 * 60 * 60 * 1000
        ));

        var expires = 'expires=' + d.toUTCString();

        document.cookie = cname + '=' + cvalue + '; ' + expires + '; path=/';
    }

    function get_Cookie(cname) {
        var name = cname + '=';
        var ca = document.cookie.split(';');

        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];

            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }

            if (c.indexOf(name) == 0) {
                return decodeURIComponent(c.substring(name.length, c.length));
            }
        }

        return '';
    }

    function getProducts() {
        var cookie = 'ninetheme_products',
            cookie = compare_vars.user_id != '' ? 'ninetheme_products_' + compare_vars.user_id : '';

        return get_Cookie( cookie ) != '' ? get_Cookie( cookie ) : '';
    }

    function addProduct( id ) {
        var cookie = 'ninetheme_products',
            count,
            limit  = false,
            notice = compare_vars.notice,
            btn    = $('.ninetheme-compare-btn[data-id="' + id + '"]');

        if ( compare_vars.user_id != '' ) {
            cookie = 'ninetheme_products_' + compare_vars.user_id;
        }

        if ( get_Cookie( cookie ) != '' ) {
            var products = get_Cookie( cookie ).split(',');

            if ( products.length < compare_vars.limit ) {
                products = $.grep( products, function( value ) {
                    return value != id;
                });
                products.unshift( id );

                var products = products.join();

                set_Cookie( cookie, products, 7 );
            } else {
                limit = true;
                notice = notice.replace( '{max_limit}', compare_vars.limit );
            }

            count = products.length;

        } else {
            set_Cookie( cookie, id, 7 );
            count = 1;
        }

        if ( limit ) {
            alert( notice );
        } else {
            btn.addClass('added');
        }
    }

    function removeProduct( id ) {
        var cookie = 'ninetheme_products',
            count  = 0,
            btn    = $('.ninetheme-compare-btn[data-id="' + id + '"]'),
            cookie = compare_vars.user_id != '' ? 'ninetheme_products_' + compare_vars.user_id : '';

        if ( cookie != '' ) {
            var products = get_Cookie( cookie ).split(',');

            products = $.grep( products, function( value ) {
                return value != id;
            });

            var products_str = products.join();

            set_Cookie( cookie, products_str, 7 );
            count = products.length;
        }

        btn.removeClass('added');
    }

    function get_count() {
        var products = getProducts(),
            count = 0;

        if ( products != '' ) {
            var arr = products.split(',');
                count = arr.length;
        }
        return count;
    }

    function change_count() {
        var count = get_count();
        $('[data-compare-count]').attr('data-compare-count', count );
        $('.ninetheme-compare-count').html( count );
        compare_vars.count = count;
    }

    // add product to compare list
    $(document).on('click touch', '.ninetheme-compare-btn', function(e) {
        var $this = $( this ),
            id = $this.attr('data-id');

        if ( $this.hasClass('added') ) {
            console.log('added');

            var added_title = $this.data('product-title');
            var message     = ninetheme_vars.strings.button.already_compare;
            if ( $('.ninetheme-side-panel.disable-auto-open').length ) {
                    $('.ninetheme-shop-popup-notices').html( '<div class="woocommerce-message ninetheme-cart-update-message" role="alert">'+ message + '<div class="open-compare-list ninetheme-btn ninetheme-btn-primary">'+ ninetheme_vars.strings.button.open_compare + '</div></div>' );
                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                    var notices_html = $('.ninetheme-shop-popup-notices').html();
                    $this.parents('.ninetheme-loop-thumb-wrapper').append('<div class="ninetheme-shop-popup-notices postion-in-product active">'+notices_html+'</div>');
                } else {
                    $('.ninetheme-shop-popup-notices').addClass('active');
                }
                $('.ninetheme-shop-popup-notices .open-compare-list').on('click', function(){
                    $('body').addClass('ninetheme-overlay-open');
                    $('.ninetheme-shop-popup-notices').removeClass('active');
                    $('.ninetheme-side-panel div:not([data-name="compare"])').removeClass('active');
                    $('.ninetheme-side-panel, .compare-area, .ninetheme-side-panel div[data-name="compare"]').addClass('active');
                    $('body').trigger('ninetheme_lazy_load');
                });
                setTimeout(function() {
                    if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                        $thisbutton.parents('.ninetheme-loop-thumb-wrapper').find('.ninetheme-shop-popup-notices').remove();
                    } else {
                        $('.ninetheme-shop-popup-notices').removeClass('active');
                    }
                }, 5000);
            }
            return;
        } else {
            $this.parents('.ninetheme-loop-thumb-wrapper').addClass('loading');
            addProduct( id );
            addCompare( 'add', id );
        }

        if ( get_count() == '0' ) {
            $('.compare-area').removeClass('has-product');
        } else {
            $('.compare-area').addClass('has-product');
        }

        e.preventDefault();
    });

    // remove from compare list
    $(document).on('click touch', '.ninetheme-compare-del-icon', function(e) {
        var id = $(this).parents('.ninetheme-content-item').attr('data-id');

        $('.ninetheme-compare-item[data-id="' + id + '"]').remove();
        $( '.ninetheme-compare-btn[data-id="' + id + '"]').removeClass('added');

        removeProduct( id );

        change_count();

        if ( get_count() == '0' ) {
            $('.compare-area').removeClass('has-product');
        } else {
            $('.compare-area').addClass('has-product');
        }

        e.preventDefault();
    });

    function addCompare( $action, id ) {
        var data = {
            action: 'ninetheme_add_compare',
            products: getProducts(),
            nonce: compare_vars.nonce
        };
        
        var btn         = $( '.ninetheme-compare-btn[data-id="' + id + '"]');
        var added_title = btn.data('product-title');
        var message     = ninetheme_vars.strings.button.added_compare;
        
        console.log('ajax added');
        
        $.post( compare_vars.ajaxurl, data, function( response ) {
            btn.addClass('added');
            $('.ninetheme-compare-content-items').html( response );

            if ( $('.ninetheme-side-panel:not(.disable-auto-open)').length ) {
                $('body').addClass('ninetheme-overlay-open');
                $('.ninetheme-side-panel div:not([data-name="compare"])').removeClass('active');
                $('.ninetheme-side-panel, .compare-area, .ninetheme-side-panel div[data-name="compare"]').addClass('active');
                $('body').trigger('ninetheme_lazy_load');
            }

            btn.parents('.ninetheme-loop-thumb-wrapper').removeClass('loading');
            
            change_count();

            if ( $('.ninetheme-side-panel.disable-auto-open').length ) {
                    $('.ninetheme-shop-popup-notices').html( '<div class="woocommerce-message ninetheme-cart-update-message" role="alert">"'+added_title + '" '+ message + '<div class="open-compare-list ninetheme-btn ninetheme-btn-primary">'+ ninetheme_vars.strings.button.open_compare + '</div></div>' );
                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                    var notices_html = $('.ninetheme-shop-popup-notices').html();
                    btn.parents('.ninetheme-loop-thumb-wrapper').append('<div class="ninetheme-shop-popup-notices postion-in-product active">'+notices_html+'</div>');
                } else {
                    $('.ninetheme-shop-popup-notices').addClass('active');
                }
                $('.ninetheme-shop-popup-notices .open-compare-list').on('click', function(){
                    $('body').addClass('ninetheme-overlay-open');
                    $('.ninetheme-shop-popup-notices').removeClass('active');
                    $('.ninetheme-side-panel div:not([data-name="compare"])').removeClass('active');
                    $('.ninetheme-side-panel, .compare-area, .ninetheme-side-panel div[data-name="compare"]').addClass('active');
                    $('body').trigger('ninetheme_lazy_load');
                });
                setTimeout(function() {
                    if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                        btn.parents('.ninetheme-loop-thumb-wrapper').find('.ninetheme-shop-popup-notices').remove();
                    } else {
                        $('.ninetheme-shop-popup-notices').removeClass('active');
                    }
                }, 5000);
            }

        });
    }

    $( document ).ready( function( $ ) {
        $('.ninetheme-compare-count').html( compare_vars.count );
    });

    if ( ( typeof compare_vars != 'undefined' ) && compare_vars.products ) {
        var ids = compare_vars.products;
        for (let i = 0; i < ids.length; i++) {
          $('.ninetheme-compare-btn[data-id="'+ids[i]+'"]').addClass('added');
        }
    }


})(window, document, jQuery);
