<?php

if ( ! class_exists( 'CrisopWooCartNotice' ) && class_exists( 'WC_Product' ) ) {
    class CrisopWooCartNotice {
        function __construct() {
            // frontend scripts
            add_action( 'wp_enqueue_scripts', array( $this, 'decoratycn_enqueue_scripts' ) );
            // add the time
            add_action( 'woocommerce_add_to_cart', array( $this, 'decoratycn_add_to_cart' ), 10 );
            // fragments
            add_filter( 'woocommerce_add_to_cart_fragments', array( $this, 'decoratycn_cart_fragment' ) );
            // footer
            add_action( 'wp_footer', array( $this, 'decoratycn_footer' ) );
        }
        function decoratycn_enqueue_scripts() {

            wp_enqueue_script( 'decoratycn-frontend', NINETHEME_PLUGIN_URL . 'widgets/woocommerce/popup-cart-notices/script.js', array( 'jquery' ), NINETHEME_PLUGIN_VERSION, true );
        }

        function decoratycn_get_product() {
            $items = WC()->cart->get_cart();
            $html  = '<div class="ninetheme-popup-notices">';

            if ( count( $items ) > 0 ) {
                foreach ( $items as $key => $item ) {
                    if ( ! isset( $item['ninetheme_popup_notices_time'] ) ) {
                        $items[ $key ]['ninetheme_popup_notices_time'] = time() - 10000;
                    }
                }
                
                array_multisort( array_column( $items, 'ninetheme_popup_notices_time' ), SORT_ASC, $items );
                $ninetheme_product = end( $items )['data'];

                if ( $ninetheme_product && ( $ninetheme_product_id = $ninetheme_product->get_id() ) ) {
                    if ( ! in_array( $ninetheme_product_id, apply_filters( 'ninetheme_exclude_ids', array( 0 ) ), true ) ) {
                        $html .= '<div class="ninetheme-text">' . sprintf( esc_html__( '%s was added to the cart.', 'crisop' ), '<a href="' . $ninetheme_product->get_permalink() . '" target="_blank">' . $ninetheme_product->get_name() . '</a>' ) . '</div>';
                        $cart_content_data = '<span class="ninetheme-popup-cart-content-total">' . wp_kses_post( WC()->cart->get_cart_subtotal() ) . '</span> <span class="ninetheme-cart-content-count">' . wp_kses_data( sprintf( _n( '%d item', '%d items', WC()->cart->get_cart_contents_count(), 'crisop' ), WC()->cart->get_cart_contents_count() ) ) . '</span>';
                        $cart_content = sprintf( esc_html__( 'Your cart: %s', 'crisop' ), $cart_content_data );
                        $html .= '<div class="ninetheme-cart-content">' . $cart_content . '</div>';
                    }
                }
            }

            $html .= '</div>';

            return $html;
        }

        function decoratycn_add_to_cart( $cart_item_key ) {

            WC()->cart->cart_contents[ $cart_item_key ]['ninetheme_popup_notices_time'] = time();

        }

        function decoratycn_cart_fragment( $fragments ) {
            $fragments['.ninetheme-popup-notices'] = $this->decoratycn_get_product();

            return $fragments;
        }

        function decoratycn_footer() {
            echo '<div class="ninetheme-popup-notices"></div>';
        }
    }
    new CrisopWooCartNotice();
}
