'use strict';

var ninetheme_ids = [],
    ninetheme_products = [];
(function($) {

    jQuery(document).ready(function($) {
        $('.ninetheme-quickview-btn').each(function() {
            var id = $(this).data('id');
            if (-1 === $.inArray(id, ninetheme_ids)) {
                ninetheme_ids.push(id);
                ninetheme_products.push({src: ninetheme_vars.ajax_url + '?product_id=' + id});
            }
        });
    });

    function ninetheme_get_key(array, key, value) {
      for (var i = 0; i < array.length; i++) {
        if (array[i][key] === value) {
          return i;
        }
      }
      return -1;
    }

    jQuery(document).on('decoratyShopInit',function() {
        $('.ninetheme-quickview-btn').each(function() {
            var id = $(this).data('id');
            if (-1 === $.inArray(id, ninetheme_ids)) {
                ninetheme_ids.push(id);
                ninetheme_products.push({src: ninetheme_vars.ajax_url + '?product_id=' + id});
            }
        });
        init(ninetheme_products);
    });
    jQuery(document).on('ninetheme_quick_init',function() {
        $('.ninetheme-quickview-btn').each(function() {
            var id = $(this).data('id');
            if (-1 === $.inArray(id, ninetheme_ids)) {
                ninetheme_ids.push(id);
                ninetheme_products.push({src: ninetheme_vars.ajax_url + '?product_id=' + id});
            }
        });
        init(ninetheme_products);
    });

    init(ninetheme_products);

    function ninethemeQuickShopPopup(){

        if ( typeof ninetheme_vars !== 'undefined' && ninetheme_vars.shop.quick_shop != 'yes' ) {
            return;
        }

       $( 'body' ).on('click touch', '.ninetheme-quick-shop-btn', function(event) {
            event.preventDefault();

            var $this = $(this),
                id    = $this.data('product_id');

            jQuery.magnificPopup.open({
                items           : {
                    src : ninetheme_vars.ajax_url + '?product_id=' + id
                },
                mainClass       : 'mfp-ninetheme-quickshop ninetheme-mfp-slide-bottom',
                removalDelay    : 160,
                overflowY       : 'auto',
                fixedContentPos : false,
                closeBtnInside  : true,
                tClose          : '',
                closeMarkup     : '<div class="mfp-close ninetheme-panel-close-button"></div>',
                tLoading        : '<span class="loading-wrapper"><span class="ajax-loading"></span></span>',
                type            : 'ajax',
                ajax            : {
                    settings : {
                        type : 'GET',
                        data : {
                            action : 'ninetheme_ajax_quick_shop'
                        }
                    }
                },
                callbacks       : {
                    beforeOpen : function() {
                        $('body').addClass('magnificpopupnoscroll');
                    },
                    open       : function() {
                        $('.mfp-preloader').addClass('loading');
                    },
                    ajaxContentAdded: function() {
                        $('.mfp-preloader').removeClass('loading');

                        var variations_form = $('.ninetheme-quickshop-form-wrapper').find('form.cart');

                        variations_form.each( function() {
                            $(this).wc_variation_form().find('.variations select:eq(0)').change();
                            variations_form.trigger('wc_variation_form');
                        });

                        if ( $('.woocommerce-grouped-product-list').length>0 || variations_form.length>0 ) {
                            $(document.body).trigger('ninetheme_on_qtybtn');
                        }

                        $('button.single_add_to_cart_button[type="submit"], button.ninetheme-btn-buynow[type="submit"]').click(function () {

                            if ( !$(this).hasClass('ninetheme-btn-buynow') ) {

                                $( 'form.cart' ).on('submit', function(e) {

                                    e.preventDefault();

                                    var form    = $(this),
                                        btn     = form.find('.ninetheme-btn.single_add_to_cart_button'),
                                        title   = btn.find('.button-title').text(),
                                        added   = btn.data('added-title'),
                                        data    = form.serialize();

                                        data   += '&action=ninetheme_quick_shop_ajax_add_to_cart';

                                    if ( btn.val() ) {
                                        data += '&add-to-cart=' + btn.val();
                                    }

                                    btn.addClass('loading');
                                    $('.ninetheme-quickshop-notices-wrapper').removeClass('active');
                                    $('.ninetheme-quickshop-notices-wrapper').empty().removeAttr('style');

                                    $.ajax({
                                        url     : ninetheme_vars.ajax_url,
                                        data    : data,
                                        method  : 'POST',
                                        success : function( response ) {

                                            if ( ! response ) {
                                                return;
                                            }

                                            // Redirect to cart option
                                            if ( wc_add_to_cart_params.cart_redirect_after_add === 'yes' ) {
                                                window.location = wc_add_to_cart_params.cart_url;
                                                return;
                                            }

                                            if ( response.error && response.product_url ) {
                                                window.location = response.product_url;
                                                return;
                                            }

                                            var $thisButton = form.find('.single_add_to_cart_button');
                                            var $thisButton = null; // uncomment this if you don't want the 'View cart' button
                                            var notices = $('.ninetheme-quickshop-notices');
                                            var noticeshtml = response.fragments.notices_html;

                                            btn.removeClass('loading');
                                             $( document.body ).trigger( 'added_to_cart', [ response.fragments, response.cart_hash, $thisButton ] );
                                            // Add new notices
                                            $('.ninetheme-quickshop-notices').html(noticeshtml);

                                            if ( $('.ninetheme-quickshop-notices .woocommerce-error').length ) {
                                                setTimeout(function(){
                                                    notices.slideDown();
                                                    $('.ninetheme-quickshop-buttons-wrapper').slideDown();
                                                }, 100 );
                                            }

                                            $('.ninetheme-quickshop-notices .close-error').on('click touch', function(e) {
                                                notices.slideUp().removeClass('active');
                                            });

                                            $('.ninetheme-quickshop-wrapper').addClass('added');

                                            $('.ninetheme-quickshop-wrapper .ninetheme-btn-reset,.ninetheme-quickshop-wrapper .plus,.ninetheme-quickshop-wrapper .minus').on('click touch', function(event) {
                                                $('.ninetheme-quickshop-notices').slideUp();
                                                setTimeout(function(){
                                                    notices.empty().removeAttr('style');
                                                }, 500 );
                                                btn.find('.button-title').html(title);
                                            });

                                            if ( $('.ninetheme-quickshop-notices .woocommerce-message').length ) {
                                                btn.find('.button-title').html(added);

                                                setTimeout(function(){
                                                    if ( !$('.ninetheme-quickshop-notices').hasClass('active') ) {
                                                        notices.slideDown().addClass('active');
                                                    }
                                                }, 500 );

                                                setTimeout(function(){
                                                    if ( !$('.ninetheme-quickshop-buttons-wrapper').hasClass('active') ) {
                                                        $('.ninetheme-quickshop-buttons-wrapper').slideDown().addClass('active');
                                                    }
                                                }, 500 );

                                                $('.ninetheme-quickshop-buttons-wrapper .ninetheme-btn').on('click touch', function(e) {
                                                    if ( $(this).hasClass('open-cart-panel') ) {
                                                        $('html,body').addClass('ninetheme-overlay-open');
                                                        $('.ninetheme-side-panel .active').removeClass('active');
                                                        $('.ninetheme-side-panel').addClass('active');
                                                        $('.cart-area').addClass('active');
                                                    }
                                                    if ( $(this).hasClass('open-checkout-panel') ) {
                                                        $('html,body').addClass('ninetheme-overlay-open');

                                                        $('.ninetheme-side-panel .active').removeClass('active');
                                                        $('.ninetheme-side-panel').addClass('active');
                                                        $('.cart-area').addClass('active');
                                                        $('.ninetheme-side-panel .ninetheme-header-cart-details div[data-name="checkout"]').trigger('click');
                                                    }
                                                    $.magnificPopup.close();
                                                });
                                            }
                                        }
                                    });
                                });
                            }
                        });
                    },
                    beforeClose : function() {},
                    close : function() {
                        jQuery('body').removeClass('magnificpopupnoscroll');
                    },
                    afterClose : function() {}
                }
            });
        });
    }

    function init(ninetheme_products){

        $(document).on('click touch', '.ninetheme-quickview-btn', function(event) {
            event.preventDefault();

            var $this        = $(this),
                id           = $this.data('id'),
                is_quickShop = $this.parents('.ninetheme-type-product').find('.ninetheme-quick-shop-btn'),
                clicked      = false ;

            var index = ninetheme_get_key(ninetheme_products, 'src', ninetheme_vars.ajax_url + '?product_id=' + id);

            jQuery.magnificPopup.open({
                items           : ninetheme_products,
                type            : 'ajax',
                mainClass       : 'mfp-ninetheme-quickview ninetheme-mfp-slide-bottom',
                removalDelay    : 160,
                overflowY       : 'auto',
                fixedContentPos : false,
                closeBtnInside  :true,
                tClose          : '',
                closeMarkup     : '<div class="mfp-close ninetheme-panel-close-button"></div>',
                tLoading        : '<span class="loading-wrapper"><span class="ajax-loading"></span></span>',
                gallery         : {
                    tPrev   : '',
                    tNext   : '',
                    enabled : true
                },
                ajax: {
                    settings : {
                        type : 'GET',
                        data : {
                            action : 'ninetheme_quickview'
                        }
                    }
                },
                callbacks: {
                    beforeOpen: function() {},
                    open: function() {
                        $('.mfp-preloader').addClass('loading');
                        $('body').addClass('magnificpopupnoscroll');
                    },
                    ajaxContentAdded: function() {
                        $('.mfp-preloader').removeClass('loading');

                        var variations_form = $('.ninetheme-quickview-product-details').find('.variations_form');

                        variations_form.each(function() {
                          $(this).wc_variation_form();
                        });

                        $('body').trigger('ninetheme_lazy_load');

                        jQuery('.ajax_add_to_cart').on('click', function() {
                            setTimeout( function(){
                                $.magnificPopup.close();
                            }, 500);
                        });

                        $( '.template-add-to-cart .ninetheme-quick-shop-btn' ).on('click', function(event) {
                            event.preventDefault();
                            $.magnificPopup.close();
                            clicked = true;
                        });

                        if ( $('.ninetheme-quickview-main img').length > 1) {
                            var galleryThumbs = new NTSwiper('.ninetheme-quickview-thumbnails', {
                                loop                  : false,
                                watchOverflow         : false,
                                speed                 : 1000,
                                spaceBetween          : 10,
                                slidesPerView         : 4,
                                navigation            : {
                                    nextEl : '.ninetheme-quickview-main .swiper-button-next',
                                    prevEl : '.ninetheme-quickview-main .swiper-button-prev'
                                }
                            });
                            var galleryTop = new NTSwiper('.ninetheme-quickview-main', {
                                loop         : false,
                                speed        : 1000,
                                slidesPerView: 1,
                                spaceBetween : 0,
                                observer     : true,
                                rewind       : true,
                                navigation   : {
                                    nextEl: '.ninetheme-quickview-main .swiper-button-next',
                                    prevEl: '.ninetheme-quickview-main .swiper-button-prev'
                                },
                                thumbs       : {
                                    swiper : galleryThumbs
                                }
                            });
                        }
                    },
                    close: function(){
                        $('body').removeClass('magnificpopupnoscroll');
                    },
                    afterClose: function(){
                        if ( is_quickShop.length > 0 && clicked == true ) {
                            $('.ninetheme-loop-product .ninetheme-quick-shop-btn[data-product_id="'+id+'"]').off('click').trigger('click');
                        }
                    }
                }
            },index);
        });
    }
})(jQuery);
