/*-----------------------------------------------------------------------------------

    Theme Name: Crisop
    Description: WordPress Theme
    Author: Ninetheme
    Author URI: https://ninetheme.com/
    Version: 1.0

-----------------------------------------------------------------------------------*/
"use strict";

(function(window, document, $) {

    if (ninetheme_wishlist_get_cookie('ninetheme_wishlist_key') == '') {
        ninetheme_wishlist_set_cookie('ninetheme_wishlist_key', ninetheme_wishlist_get_key(), 7);
    }

    function ninetheme_wishlist_get_key() {
        var result = [];
        var characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
        var charactersLength = characters.length;

        for (var i = 0; i < 6; i++) {
            result.push(characters.charAt(Math.floor(Math.random() *
            charactersLength)));
        }

        return result.join('');
    }

    function ninetheme_wishlist_set_cookie(cname, cvalue, exdays) {
        var d = new Date();

        d.setTime(d.getTime() + (
            exdays * 24 * 60 * 60 * 1000
        ));

        var expires = 'expires=' + d.toUTCString();

        document.cookie = cname + '=' + cvalue + '; ' + expires + '; path=/';
    }

    function ninetheme_wishlist_get_cookie(cname) {
        var name = cname + '=';
        var ca = document.cookie.split(';');

        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];

            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }

            if (c.indexOf(name) == 0) {
                return decodeURIComponent(c.substring(name.length, c.length));
            }
        }

        return '';
    }

    // add
    $( document.body ).on('click touch', '.ninetheme-wishlist-btn:not(added)', function(e) {
        var $this = $(this),
            id = $this.attr('data-id');

        if ( $this.hasClass('added') ) {
            var message = ninetheme_vars.strings.button.already_wish;
            $('.ninetheme-shop-popup-notices').html( '<div class="woocommerce-message ninetheme-cart-update-message" role="alert">'+ message + '<div class="open-wishlist ninetheme-btn ninetheme-btn-green"> '+ ninetheme_vars.strings.button.open_wishlist + '</div></div>' );
            if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                var notices_html = $('.ninetheme-shop-popup-notices').html();
                $this.parents('.ninetheme-loop-thumb-wrapper').append('<div class="ninetheme-shop-popup-notices postion-in-product active">'+notices_html+'</div>');
            } else {
                $('.ninetheme-shop-popup-notices').addClass('active');
            }
            $('.ninetheme-shop-popup-notices .open-wishlist').on('click', function(){
                $('.ninetheme-shop-popup-notices').removeClass('active');
                $('.panel-header-actions .panel-header-btn').removeClass('active');
                $('.panel-header-actions .panel-header-wishlist').addClass('active');
                $('.panel-content-item').removeClass('active');
                $('.ninetheme-side-panel').addClass('active');
                $('.wishlist-content').parent().addClass('active');
                $('body').trigger('ninetheme_lazy_load');
                $('body').addClass('ninetheme-overlay-open');
            });
            setTimeout(function() {
                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                    $this.parents('.ninetheme-loop-thumb-wrapper').find('.ninetheme-shop-popup-notices').remove();
                } else {
                    $('.ninetheme-shop-popup-notices').removeClass('active');
                }
            }, 5000);
            return;
        }

        var data = {
            action: 'ninetheme_wishlist_add',
            product_id: id,
            beforeSend: function() {
                $this.parents('.ninetheme-loop-thumb-wrapper').addClass('loading');
            }
        };
        $.post(wishlist_vars.ajax_url, data, function(response) {
            response = JSON.parse( response );
            $('.ninetheme-wishlist-count').html(response['count']);
            $('[data-wishlist-count]').attr('data-wishlist-count', response['count']);
            $('.ninetheme-wishlist-content-items').html(response['value']);


            if ( $('.ninetheme-side-panel.disable-auto-open').length ) {
                $('.ninetheme-shop-popup-notices').html( '<div class="woocommerce-message ninetheme-cart-update-message" role="alert">'+ response['notice'] + '<div class="open-wishlist ninetheme-btn ninetheme-btn-green"> '+ ninetheme_vars.strings.button.open_wishlist + '</div></div>' );
                if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                    var notices_html = $('.ninetheme-shop-popup-notices').html();
                    $this.parents('.ninetheme-loop-thumb-wrapper').append('<div class="ninetheme-shop-popup-notices postion-in-product active">'+notices_html+'</div>');
                } else {
                    $('.ninetheme-shop-popup-notices').addClass('active');
                }

                $('.ninetheme-shop-popup-notices .open-wishlist').on('click', function(){
                    $('.ninetheme-shop-popup-notices').removeClass('active');
                    $('.panel-header-actions .panel-header-btn').removeClass('active');
                    $('.panel-header-actions .panel-header-wishlist').addClass('active');
                    $('.panel-content-item').removeClass('active');
                    $('.ninetheme-side-panel').addClass('active');
                    $('.wishlist-content').parent().addClass('active');
                    $('body').trigger('ninetheme_lazy_load');
                    $('body').addClass('ninetheme-overlay-open');
                });
                setTimeout(function() {
                    if ( $('.ninetheme-shop-popup-notices').hasClass('postion-in-product') ){
                        $this.parents('.ninetheme-loop-thumb-wrapper').find('.ninetheme-shop-popup-notices').remove();
                    } else {
                        $('.ninetheme-shop-popup-notices').removeClass('active');
                    }
                }, 5000);
            }

            if ( $('.ninetheme-side-panel:not(.disable-auto-open)').length ) {
                $('.panel-header-actions .panel-header-btn').removeClass('active');
                $('.panel-header-wishlist').addClass('active');
                $('.panel-content-item').removeClass('active');
                $('.ninetheme-side-panel').addClass('active');
                $('.wishlist-content').parent().addClass('active');
                $('.ninetheme-wishlist-content-notice').html( response['notice'] );
                $('body').trigger('ninetheme_lazy_load');
                $('body').addClass('ninetheme-overlay-open');
            }

            setTimeout(function() {
                $('.ninetheme-wishlist-content-notice .ninetheme-small-title').fadeOut( 'fast' );
            }, 3000);
            $this.addClass('added');
            $this.parents('.ninetheme-loop-thumb-wrapper').removeClass('loading');

        });

        e.preventDefault();
    });
    // remove
    $( document ).on('click touch', '.ninetheme-wishlist-del-icon', function(e) {

        var $this = $(this),
            product_id = $this.parents('.ninetheme-content-item').attr('data-id'),
            data = {
                action: 'ninetheme_wishlist_remove',
                product_id: product_id,
                beforeSend: function() {
                    $this.parent().append('<span class="loading-wrapper"><span class="ajax-loading"></span></span>').addClass('loading');
                }
            };

        $.post(wishlist_vars.ajax_url, data, function(response) {
            $( '.ninetheme-wishlist-item[data-id="'+product_id+'"]' ).remove();
            response = JSON.parse( response );
            var count = response['count'];

            if ( response['status'] == 1 ) {
                $this.parent().removeClass('loading');
                $this.parent().find('.loading-wrapper').remove();
                $('body').trigger('ninetheme_lazy_load');
                if ( response['notice'] != null ) {
                    $('.ninetheme-wishlist-content-notice').html( response['notice'] );
                }
                if ( response['notice_type'] !== 'empty' ) {
                    setTimeout(function() {
                      $('.ninetheme-wishlist-content-notice:not(.ninetheme-empty-content) .ninetheme-small-title').fadeOut( 'fast' );
                    }, 3000);
                }

            } else {
                $('.ninetheme-wishlist-content-items .loading-wrapper').remove();
                if ( response['notice'] != null ) {
                    $('.ninetheme-wishlist-content-notice').html( response['notice'] );
                }
            }

            $('.ninetheme-wishlist-count').html(response['count']);
            $('[data-wishlist-count]').attr('data-wishlist-count', response['count']);

            wishlist_vars.count = response['count'];

            if ( response['count'] != null ) {
                $(document.body).trigger( 'ninetheme_wishlist_count', [count] );
            }

            $('.ninetheme-wishlist-btn[data-id="'+product_id+'"]').removeClass('added');

        });
        e.preventDefault();
    });

    $('.ninetheme-wishlist-count').html(wishlist_vars.count);
    $('[data-wishlist-count]').attr('data-wishlist-count', wishlist_vars.count);
    if ( wishlist_vars.count > 0 ) {
        $('.wishlist-area:not(.has-product)').addClass( 'has-product' );
    }

    $( document.body ).on( 'ninetheme_wishlist_count', function( event ) {
        $('.ninetheme-wishlist-count').html(wishlist_vars.count);
        $('[data-wishlist-count]').attr('data-wishlist-count', wishlist_vars.count);
        if ( wishlist_vars.count > 0 ) {
            $('.wishlist-area:not(.has-product)').addClass( 'has-product' );
        } else {
            $('.wishlist-area.has-product').removeClass( 'has-product' );
        }
    });

    if ( ( typeof wishlist_vars != 'undefined' ) && wishlist_vars.products ) {
        var ids = wishlist_vars.products;
        for (let i = 0; i < ids.length; i++) {
          $('.ninetheme-wishlist-btn[data-id="'+ids[i]+'"]').addClass('added');
        }
    }


})(window, document, jQuery);
